<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Booking;
use Illuminate\Http\Request;

class BookingController extends Controller
{
    public function index()
    {
        $pageTitle              = 'Boat Booking List';
        $bookings               = Booking::with('getUser', 'getLocation')->orderBy('id', 'desc')->paginate(getPaginate(10));
        return view('admin.booking.index', compact('pageTitle', 'bookings'));
    }


    public function bookingView($slug, $id)
    {
        $pageTitle              = 'Booking Boat Information';
        $booking               = Booking::findOrFail($id);
        return view('admin.booking.viewDetails', compact('pageTitle', 'booking')); 
    }
}
