<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Booking extends Model
{
    use HasFactory;
    protected $guarded =[];

    public function badgeData(){
        $html = '';
        if($this->status == 0){
            $html = '<span class="badge badge--warning">'.trans('Pending').'</span>';
        }
        elseif($this->status == 1 ){
            $html = '<span class="badge badge--success">'.trans('Succeed').'</span>';
        }
        else{
            $html = '';
        }
        return $html;
    }

    public function getUser()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
    public function getBoat()
    {
        return $this->belongsTo(Boat::class, 'boat_id', 'id');
    }
    public function getLocation()
    {
        return $this->belongsTo(Location::class, 'location_id', 'id');
    }
}
