@extends('admin.layouts.app')
@section('panel')

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header">
                <h5 class="card-title">@lang('New Boat Create')</h5>
            </div>
            <div class="card-body p-3">

                <form action="{{ route('admin.boat.store') }}" class="edit-route" method="POST"
                    enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Boat Name')</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" autocomplete="off" name="name" required value="{{old('name')}}">
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Mileage')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="mileage" required value="{{old('mileage')}}">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Boat Category')</label>
                                <div class="col-sm-12">
                                    <select name="category" class="form-control" required>
                                        @forelse($categories as $data)
                                            <option value="{{$data->id}}" {{old('category') == $data->id ? 'selected' : ''}}>{{$data->name}}</option>
                                        @empty 
                                            <option>@lang('No category available now')</option>
                                        @endforelse
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Location')</label>
                                <div class="col-sm-12">
                                    <select name="location" class="form-control" required>
                                        @forelse($locations as $data)
                                            <option value="{{$data->id}}" {{old('location') == $data->id ? 'selected' : ''}}>{{$data->name}}</option>
                                        @empty 
                                            <option>@lang('No location available now')</option>
                                        @endforelse
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Price per/Day')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="price" required value="{{old('price')}}" step="any">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Number of Passenger\'s')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="passengers" value="{{old('passengers')}}" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Fuel')</label>
                                <div class="col-sm-12">
                                    <select name="fuel" class="form-control" required>
                                        <option value="Octane 87" {{old('fuel') ==  'Octane 87' ? 'selected' : ''}}>@lang('Octane 87')</option>
                                        <option value="Octane 89" {{old('fuel') ==  'Octane 89' ? 'selected' : ''}}>@lang('Octane 89')</option>
                                        <option value="Octane 93" {{old('fuel') ==  'Octane 93' ? 'selected' : ''}}>@lang('Octane 93')</option>
                                        <option value="Diesel" {{old('fuel') ==  'Diesel' ? 'selected' : ''}}>@lang('Diesel')</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Class')</label>
                                <div class="col-sm-12">
                                    <select name="class" class="form-control" required>
                                        <option value="Class A" {{old('class') ==  'Class A' ? 'selected' : ''}}>@lang('Class A')</option>
                                        <option value="Class 1" {{old('class') ==  'Class 1' ? 'selected' : ''}}>@lang('Class 1')</option>
                                        <option value="Class 2" {{old('class') ==  'Class 2' ? 'selected' : ''}}>@lang('Class 2')</option>
                                        <option value="Class 3" {{old('class') ==  'Class 3' ? 'selected' : ''}}>@lang('Class 3')</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Cabins')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="cabin" required value="{{old('cabin')}}">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Berths')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="berths" required value="{{old('berths')}}">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Bathrooms')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="bathrooms" required value="{{old('bathrooms')}}">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Size')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="size" required value="{{old('size')}}" step="any">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>@lang('Boat Description')</label>
                                <textarea name="description" class="form-control trumEdit " cols="30" rows="10">{{old('description')}}</textarea>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="col-12">
                                <label for="image" class="font-weight-bold mb-15">@lang('Image')</label>
                            </div>

                            <div class="row form-group">
                                <div class="col-10">
                                    <div class="file-upload-wrapper" data-text="@lang('Boat image!')">
                                        <input type="file" name="images[]" id="inputAttachments" class="file-upload-field"  accept=".jpg, .jpeg, .png"/>
                                    </div>
                                </div>
                                <div class="col-2">
                                    <button type="button" class="btn btn-outline-success addmoreImage ms-0"><i
                                            class="fa fa-plus"></i></button>
                                </div>
                            </div>
                            <div class="col-12">
                                <div id="fileUploadsContainer"></div>
                            </div>
                        </div>



                        <div class="col-md-6 col-lg-6 ">

                            <div class="row form-group">
                                <div class="col-10">
                                    <label class="text-left mb-15">@lang('Boat Additional Information')</label>
                                </div>
                                <div class="col-2">
                                    <button type="button" class="btn add-new add_additional_information btn--primary">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="row amenitiesField">
                                <div class="col-md-12 data-amenities">
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-10">
                                                <input name="additonal[]" class="form-control" type="text" required
                                                    placeholder="@lang('Boat addition information')">
                                            </div>
                                            <div class="col-2 text-right">
                                                <span class="">
                                                    <button class="btn btn-outline-danger remove_additional_information"
                                                        type="button">
                                                        <i class="la la-times"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="captain" class="fw-bold">@lang('With Captain')</label>
                                <label class="switch m-0" for="captain">
                                    <input type="checkbox" class="toggle-switch" name="captain" id="captain" value="{{ 'checked' ? 1 : 0 }}">
                                    <span class="slider round"></span>
                                </label>
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="text-end mt-15">
                                <button type="submit" class="btn btn--primary btn-lg">@lang('Submit')</button>
                            </div>
                        </div>
                    </div>


                </form>

            </div>
        </div>
    </div>
</div>


@push('breadcrumb-plugins')

<a href="{{ route('admin.boat.list') }}" class="btn btn-sm btn-outline--primary">@lang('Back')</a>

@endpush



@endsection


@push('script')
<script>
    "use strict";



    var fileAdded = 0;
    $('.addmoreImage').on('click', function () {
        if (fileAdded >= 5) {
            return false;
        }
        fileAdded++;
        $("#fileUploadsContainer").append(`
                    <div class="row">
                        <div class="col-10 mb-3">
                            <div class="file-upload-wrapper" data-text="@lang('Boat Image!')"><input type="file" name="images[]" id="inputAttachments" class="file-upload-field" accept=".jpg,.png,.jpeg"/></div>
                        </div>
                        <div class="col-2">
                            <button type="button" class="btn btn-outline-danger deleteextraImage"><i class="la la-times"></i></button>
                        </div>
                    </div>
                `)
    });

    $(document).on('click', '.deleteextraImage', function () {
        fileAdded--;
        $(this).closest('.row').remove();
    });


    $('.add_additional_information').on('click', function () {
        var html = `
            <div class="col-md-12 data-amenities">
                <div class="form-group">
                    <div class="row align-items-center">
                        <div class="col-10">
                            <input name="additonal[]" class="form-control" type="text" required placeholder="@lang('Boat Additional Information')">
                        </div>
                        <div class="col-2">
                            <span class="input-group-btn">
                                <button class="btn btn-outline-danger remove_additional_information" type="button">
                                    <i class="la la-times"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>`;
        $('.amenitiesField').append(html);
    });

    $(document).on('click', '.remove_additional_information', function () {
        $(this).closest('.data-amenities').remove();
    });

</script>
@endpush
