@extends('admin.layouts.app')
@section('panel')

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header">
                <h5 class="card-title">@lang('Edit Boat Information')</h5>
            </div>
            <div class="card-body p-3">

                <form action="{{ route('admin.boat.update', $boat->id) }}" class="edit-route" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Boat Name')</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" autocomplete="off" name="name"
                                        value="{{ @$boat->name }}" required>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Mileage')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="mileage"
                                        value="{{ @$boat->mileage }}" required>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Boat Category')</label>
                                <div class="col-sm-12">
                                    <select name="category" class="form-control" required>
                                        @foreach($categories as $data)
                                            <option {{$boat->category_id == $data->id ? 'selected' : ''}} value="{{$data->id}}">{{$data->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Location')</label>
                                <div class="col-sm-12">
                                    <select name="location" class="form-control" required>
                                        @foreach($locations as $data)
                                            <option {{$boat->location_id == $data->id ? 'selected' : ''}} value="{{$data->id}}">{{$data->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Price per/Day')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="price" value="{{ @showAmount($boat->price) }}" required step="any">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Number of Passenger\'s')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="passengers" value="{{ @$boat->passengers }}" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Fuel')</label>
                                <div class="col-sm-12">
                                    <select name="fuel" class="form-control" required>
                                        <option {{ $boat->fuel == 'Octane 87' ? 'selected' : '' }} value="Octane 87">@lang('Octane 87')</option>
                                        <option {{ $boat->fuel == 'Octane 89' ? 'selected' : '' }} value="Octane 89">@lang('Octane 89')</option>
                                        <option {{ $boat->fuel == 'Octane 93' ? 'selected' : '' }} value="Octane 93">@lang('Octane 93')</option>
                                        <option {{ $boat->fuel == 'Diesel' ? 'selected' : '' }} value="Diesel">@lang('Diesel')</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6">
                            <div class="form-group">
                                <label>@lang('Class')</label>
                                <div class="col-sm-12">
                                    <select name="class" class="form-control" required>
                                        <option {{ $boat->class == 'Class A' ? 'selected' : '' }} value="Class A">@lang('Class A')</option>
                                        <option {{ $boat->class == 'Class 1' ? 'selected' : '' }} value="Class 1">@lang('Class 1')</option>
                                        <option {{ $boat->class == 'Class 2' ? 'selected' : '' }} value="Class 2">@lang('Class 2')</option>
                                        <option {{ $boat->class == 'Class 3' ? 'selected' : '' }} value="Class 3">@lang('Class 3')</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Cabins')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="cabin" value="{{ @$boat->cabins }}" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Berths ')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="berths" value="{{ @$boat->berths }}" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Boat Bathrooms')</label>
                                <div class="input-group">
                                    <input type="number" class="form-control" autocomplete="off" name="bathrooms"
                                        value="{{ @$boat->bathrooms }}" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-lg-6 col-sm-12">
                            <div class="form-group">
                                <label>@lang('Size')</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" value="{{ @$boat->size }}" autocomplete="off" name="size"
                                        required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label for="description">@lang('Boat Description')</label>
                                    <textarea name="description" id="description" class="trumEdit" cols="60" rows="10" value="{{ @$boat->description}}">{{ @$boat->description}}</textarea>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div class="col-12">
                                    <div class="col-lg-12">
                                        <div class="row">
                                            @foreach($images as $image)
                                                <div class="col-lg-3 col-md-3 col-sm-6 mb-30">
                                                    <div class="image-wrap admin-boat-img">
                                                    <div class="thumb">
                                                            <img src="{{ getImage(getFilePath('boatImage').'/'.@$image->image)}}" alt="" style="">
                                                            
                                                            <a class="crose-icon imageRemove" href="javascript:void(0)"data-id="{{$image->id}}">X</a>
                                                    </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                   </div>
                            </div>

                            <div class="col-12">
                                <label for="email" class="font-weight-bold mb-15">@lang('Image')</label>
                            </div>

                            <div class="row form-group">
                                <div class="col-10">
                                    <div class="file-upload-wrapper" data-text="@lang('Boat image!')">
                                        <input type="file" name="images[]" id="inputAttachments"
                                            class="file-upload-field" />
                                    </div>
                                </div>
                                <div class="col-2">
                                    <button type="button" class="btn btn-outline-success addmoreImage ms-0"><i
                                            class="fa fa-plus"></i></button>
                                </div>
                            </div>
                            <div class="col-12">
                                <div id="fileUploadsContainer"></div>
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-6 ">
                            
                            <div class="row amenitiesField">
                                <div class="col-md-12 data-amenities">
                                    <div class="form-group">
                                        @foreach(json_decode($boat->additional) as $value )
                                        <div class="row mb-3">
                                            <div class="col-10">
                                                <input name="additonal[]" class="form-control" type="text" required
                                                    value="{{@$value}}" placeholder="@lang('Boat addition information')">
                                            </div>
                                            <div class="col-2 text-right">
                                                <span class="">
                                                    <button class="btn btn-outline-danger remove_additional_information"
                                                        type="button">
                                                        <i class="la la-times"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-10">
                                    <label class="text-left mb-15">@lang('Boat Additional Information')</label>
                                </div>
                                <div class="col-2">
                                    <button type="button" class="btn add-new add_additional_information btn--primary">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="row">

                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label class="fw-bold">@lang('With Captain')</label>
                                <label class="switch m-0" for="captain">
                                    <input type="checkbox" class="toggle-switch" name="captain" id="captain" {{ @$boat->is_captain ? 'checked' : null }}>
                                    <span class="slider round"></span>
                                </label>
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="text-end mt-15">
                                <button type="submit" class="btn btn--primary btn-lg">@lang('Update')</button>
                            </div>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>
</div>




{{-- Edit Model Start --}}
<div class="modal fade" id="imageRemoveBy" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="" lass="modal-title" id="exampleModalLabel">@lang('Image Delete Confirmation')</h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form action="{{ route('admin.boat.image.delete') }}" method="get">
                @csrf
                <input type="hidden" name="id">
                <div class="modal-body">
                    <p>@lang('Are you sure to remove this image?')</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--secondary" data-bs-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn--success">@lang('Confirm')</button>
                </div>
            </form>
        </div>
    </div>
</div>
{{-- Edit Model End --}}


    @push('breadcrumb-plugins')
        <a href="{{ route('admin.boat.list') }}" class="btn btn-sm btn-outline--primary">@lang('Boat List')</a>
    @endpush



@endsection


@push('script')
<script>
    "use strict";


    var fileAdded = 0;
    $('.addmoreImage').on('click', function () {
        if (fileAdded >= 5) {
            notify('error', 'You\'ve added maximum number of image');
            return false;
        }
        fileAdded++;
        $("#fileUploadsContainer").append(`
                    <div class="row">
                        <div class="col-10 mb-3">
                            <div class="file-upload-wrapper" data-text="@lang('Boat Image!')"><input type="file" name="images[]" id="inputAttachments" class="file-upload-field"/></div>
                        </div>
                        <div class="col-2">
                            <button type="button" class="btn btn-outline-danger deleteextraImage"><i class="la la-times"></i></button>
                        </div>
                    </div>
                `)
    });

    $(document).on('click', '.deleteextraImage', function () {
        fileAdded--;
        $(this).closest('.row').remove();
    });


    $('.add_additional_information').on('click', function () {
        var html = `
            <div class="col-md-12 data-amenities">
                <div class="form-group">
                    <div class="row align-items-center">
                        <div class="col-10">
                            <input name="additonal[]" class="form-control" type="text" required placeholder="@lang('Boat Additional Information')">
                        </div>
                        <div class="col-2">
                            <span class="input-group-btn">
                                <button class="btn btn-outline-danger remove_additional_information" type="button">
                                    <i class="la la-times"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                </div>
            </div>`;
        $('.amenitiesField').append(html);
    });

    $(document).on('click', '.remove_additional_information', function () {
        $(this).closest('.data-amenities').remove();
    });




    
    $(document).on('click', '.removeBtn', function () {
            $(this).closest('.optionalImage').remove();
        });

        $('.imageRemove').on('click', function () {
            var modal = $('#imageRemoveBy');
            modal.find('input[name=id]').val($(this).data('id'))
            modal.modal('show');
        });      

</script>
@endpush
