@extends('admin.layouts.app')
@section('panel')


<div class="d-flex flex-wrap justify-content-end mb-3">
    <div class="d-inline">
        <div class="input-group justify-content-end">
            <input type="text" name="search_table" class="form-control bg--white" placeholder="@lang('Search Boat')...">
            <button class="btn btn--primary input-group-text"><i class="fa fa-search"></i></button>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two custom-data-table">
                        <thead>
                            <tr>
                                <th>@lang('SL')</th>
                                <th>@lang('Name')</th> 
                                <th>@lang('Category')</th>          
                                <th>@lang('Location')</th>          
                                <th>@lang('Price')</th>          
                                <th>@lang('Passengers')</th>          
                                <th>@lang('Class')</th>            
                                <th>@lang('Status')</th>        
                                <th>@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            @forelse($boats as $key=>$boat)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td>{{$boat->name}}</td>   
                                <td>{{@$boat->category->name}}</td>   
                                <td>{{@$boat->location->name}}</td>   
                                <td>{{$boat->price}}</td>   
                                <td>{{$boat->passengers}}</td>   
                                <td>{{$boat->class}}</td>   
                                <td>
                                    @if($boat->status == 1)
                                    <span
                                        class="text--small badge font-weight-normal badge--success">@lang('Active')</span>
                                    @endif

                                    @if($boat->status == 0)
                                    <span
                                        class="text--small badge font-weight-normal badge--danger">@lang('Inactive')</span>
                                    @endif    
                                </td>                                                                
                                <td>
                                    <a href="{{ route('admin.boat.edit', $boat->id)}}" title="Edit"
                                        class="btn btn-sm btn--warning ms-1">
                                        <i class="la la-pen"></i>
                                    </a>

                                    <a href="{{ route('boat.details.singleView', [slug($boat->name),$boat->id])}}" title="View" target="_blank"
                                        class="btn btn-sm btn--primary ms-1">
                                        <i class="lar la-eye"></i>
                                    </a>

                                    <button class="btn btn-sm btn--danger confirmationBtn" title="Change Status"
                                    data-question="@lang('Are you sure to change boat status from this system?')"
                                    data-action="{{ route('admin.boat.status', $boat->id) }}">
                                    <i class="las la-sync"></i>
                                    </button>

                                </td> 
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{$emptyMessage}}</td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>

            @if ($boats->hasPages())
                <div class="card-footer py-4">
                    @php echo paginateLinks($boats) @endphp
                </div>
            @endif

        </div>
    </div>
</div>


@push('breadcrumb-plugins')

<a href="{{route('admin.boat.create')}}" class="btn btn-sm btn--primary">@lang('Add New')</a>

@endpush



<x-confirmation-modal></x-confirmation-modal>


@endsection

