@extends('admin.layouts.app')
@section('panel')

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two custom-data-table">
                        <thead>
                            <tr>
                                <th>@lang('SL')</th>
                                <th>@lang('User Name')</th> 
                                <th>@lang('Boat Name')</th>          
                                <th>@lang('Location Name')</th>          
                                <th>@lang('From Date')</th>          
                                <th>@lang('To Date')</th>          
                                <th>@lang('Price')</th>            
                                <th>@lang('Days')</th>            
                                <th>@lang('Status')</th>        
                                <th>@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            @forelse($bookings as $key=>$booking)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td>{{@$booking->getUser->firstname}} {{@$booking->getUser->lastname}}</td>   
                                <td>{{@$booking->boat_name}}</td>   
                                <td>{{@$booking->getLocation->name}}</td>   
                                <td>{{@$booking->from_date}}</td>   
                                <td>{{@$booking->to_date}}</td>   
                                <td>{{@showAmount($booking->price)}}</td>   
                                <td>{{@$booking->count_date}}</td>   
                                <td>
                                    @if($booking->status == 1)
                                    <span
                                        class="text--small badge font-weight-normal badge--success">@lang('Success')</span>
                                    @endif

                                    @if($booking->status == 0)
                                    <span
                                        class="text--small badge font-weight-normal badge--danger">@lang('Pending')</span>
                                    @endif    
                                </td>                                                                
                                <td>
                                    <a href="{{ route('admin.boat.booking.view', [slug(@$booking->boat_name),$booking->id])}}" title="View"
                                        class="btn btn-sm btn--primary ms-1">
                                        <i class="lar la-eye"></i>
                                    </a>
                                </td> 
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{$emptyMessage}}</td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>

            @if ($bookings->hasPages())
                <div class="card-footer py-4">
                    @php echo paginateLinks($bookings) @endphp
                </div>
            @endif
        </div>
    </div>
</div>


@push('breadcrumb-plugins')
    <a href="{{route('admin.boat.create')}}" class="btn btn-sm btn--primary">@lang('Add New')</a>
@endpush



<x-confirmation-modal></x-confirmation-modal>


@endsection

