@extends('admin.layouts.app')
@section('panel')

<div class="row justify-content-center">
    <div class="col-lg-8 col-md-8 col-sm-12">
        <div class="card">
            <div class="card-body p-5">

                <div class="row g-4">
                    <div class="col-md-6">
                        <div class="border border-secondary rounded p-3">
                            <h3 class="pb-1">@lang('Customer Information')</h3>
                            <div class="row pb-2">
                                <div class="col-12">
                                    <p><a href="{{ route('admin.users.detail', $booking->getUser->id) }}"><strong>@lang('Name:')</strong> <span>{{$booking->getUser->firstname}} {{$booking->getUser->lastname}}</span></a></p>
                                    <p><strong>@lang('Email:')</strong> <span>{{$booking->getUser->email}}</span></p>
                                    <p><strong>@lang('Phone:')</strong> <span>{{$booking->getUser->mobile}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="border border-secondary rounded p-3">
                            <h3 class="pb-1">@lang('Boat Information')</h3>
                            <div class="row pb-2">
                                <div class="col-12">
                                    <p><a href="{{ route('boat.details.singleView', [slug($booking->getBoat->name),$booking->getBoat->id])}}"><strong>@lang('Name:')</strong> <span>{{$booking->getBoat->name}}</span></a></p>
                                    <p><strong>@lang('Location Name:')</strong> <span>{{$booking->getLocation->name}}</span></p>
                                    <p><strong>@lang('Price per Day:')</strong> <span>{{showAmount($booking->getBoat->price)}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="border border-secondary rounded p-3">
                            <h3 class="pb-1">@lang('Booking Information')</h3>
                            <div class="row pb-2">
                                <div class="col-12">
                                    <p><strong>@lang('Booking request on:')</strong>
                                        <span>{{ $booking->created_at->format('d') }} {{ $booking->created_at->format('M') }} {{ $booking->created_at->format('Y') }}</span>
                                    </p>
                                    <p><strong>@lang('Departure Date:')</strong> <span>{{$booking->from_date}}</span></p>
                                    <p><strong>@lang('Return Date:')</strong> <span>{{$booking->to_date}}</span></p>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="col-md-6">
                        <div class="border border-secondary rounded p-3">
                            <h3 class="pb-1">@lang('Payment Statement')</h3>
                            <div class="row pb-2">
                                <div class="col-12">
                                    <p><strong>@lang('Total Days:')</strong>
                                        <span>{{$booking->count_date}}</span>
                                    </p>
                                    <p><strong>@lang('Total Price:')</strong> <span>{{ showAmount($booking->price) }}</span></p>
                                    <p><strong>@lang('Payment status:')</strong>
                                        @if($booking->status == 1)
                                        <span
                                            class="text--small badge font-weight-normal badge--success">@lang('Success')</span>
                                        @endif
                    
                                        @if($booking->status == 0)
                                        <span
                                            class="text--small badge font-weight-normal badge--danger">@lang('Pending')</span>
                                        @endif 
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




@endsection

