@extends('admin.layouts.app')
@section('panel')


<div class="d-flex flex-wrap justify-content-end mb-3">
    <div class="d-inline">
        <div class="input-group justify-content-end">
            <input type="text" name="search_table" class="form-control bg--white"
                placeholder="@lang('Search Location')...">
            <button class="btn btn--primary input-group-text"><i class="fa fa-search"></i></button>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two custom-data-table">
                        <thead>
                            <tr>
                                <th>@lang('SL')</th>
                                <th>@lang('Name')</th>
                                <th>@lang('City')</th>
                                <th>@lang('State')</th>
                                <th>@lang('Zip')</th>
                                <th>@lang('Country')</th>
                                <th>@lang('Longitude')</th>
                                <th>@lang('Latitude')</th>
                                <th>@lang('status')</th>
                                <th>@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            @forelse($locations as $key=>$location)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td>{{$location->name}}</td>
                                <td>{{$location->city}}</td>
                                <td>{{$location->state}}</td>
                                <td>{{$location->zip}}</td>
                                <td>{{$location->country}}</td>
                                <td>{{$location->longitude}}</td>
                                <td>{{$location->latitude}}</td>
                                <td>
                                    @if($location->status == 1)
                                    <span
                                        class="text--small badge font-weight-normal badge--success">@lang('Active')</span>
                                    @endif

                                    @if($location->status == 0)
                                    <span
                                        class="text--small badge font-weight-normal badge--danger">@lang('Inactive')</span>
                                    @endif
                                </td>
                                <td>

                                    <a href="{{ route('admin.location.edit', $location->id)}}"
                                        class="btn btn-sm btn--primary ms-1" title="Edit">
                                        <i class="la la-pen"></i>
                                    </a>

                                    <button class="btn btn-sm btn--danger confirmationBtn" title="Change Status"
                                        data-question="@lang('Are you sure to change location status from this system?')"
                                        data-action="{{ route('admin.location.status', $location->id) }}">
                                        <i class="las la-sync"></i>
                                    </button>
                                    <x-confirmation-modal></x-confirmation-modal>
                                </td>
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{ $emptyMessage }}</td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>

            @if ($locations->hasPages())
            <div class="card-footer py-4">
                @php echo paginateLinks($locations) @endphp
            </div>
        @endif
        </div>
    </div>
</div>


    @push('breadcrumb-plugins')
        <a href="{{route('admin.location.create')}}" class="btn btn-sm btn-outline--primary">@lang('Add New')</a>
    @endpush

@endsection
