@extends('admin.layouts.app')

@section('panel')
<div class="row">

    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th>@lang('User')</th>
                                <th>@lang('Email')</th>
                                <th>@lang('Boat Category')</th>
                                <th>@lang('From Date')</th>
                                <th>@lang('To Date')</th>
                                <th>@lang('Phone')</th>
                                <th>@lang('Message')</th>
                                <th>@lang('Request Create')</th>
                                <th>@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($booking_requests as $data)
                            <tr>
                                <td>
                                    {{$data->user_name}}
                                </td>

                                <td>
                                    <strong>{{ $data->email }}</strong>
                                </td>

                                <td>
                                    {{ $data->category->name }}
                                </td>

                                <td>
                                    {{ showDateTime($data->from_date) }}
                                </td>

                                <td>
                                    {{ showDateTime($data->to_date) }}
                                </td>

                                <td>
                                    {{ $data->phone}}
                                </td>

                                <td>
                                    {{ $data->message }}
                                </td>

                                <td>
                                    {{ showDateTime($data->created_at) }}
                                </td>
                                <td>
                                    <a title="@lang('Request Details')" href="{{ route('admin.report.booking.single_view', $data->id) }}"
                                        class="btn btn-sm btn--primary">
                                        <i class="las la-eye text--shadow"></i>
                                    </a>
                                </td>
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                            </tr>
                            @endforelse

                        </tbody>
                    </table>
                </div>
            </div>
            @if($booking_requests->hasPages())
            <div class="card-footer py-4">
                {{ paginateLinks($booking_requests) }}
            </div>
            @endif
        </div>
    </div>
</div>

@endsection

@push('style-lib')
<link rel="stylesheet" href="{{asset('assets/admin/css/vendor/datepicker.min.css')}}">
@endpush


@push('script-lib')
<script src="{{ asset('assets/admin/js/vendor/datepicker.min.js') }}"></script>
<script src="{{ asset('assets/admin/js/vendor/datepicker.en.js') }}"></script>
@endpush
@push('script')
<script>
    (function ($) {
        "use strict";
        if (!$('.datepicker-here').val()) {
            $('.datepicker-here').datepicker();
        }
    })(jQuery)
</script>
@endpush