@extends('admin.layouts.app')
@section('panel')

@php
    $category = App\Models\BoatCategory::where('name', $booking->boat_name)->first();
@endphp
<div class="row mb-none-30 justify-content-center">
    <div class="col-xl-4 col-md-6 mb-30">
        <div class="card b-radius--10 overflow-hidden box--shadow1">
            <div class="card-body">
                <h5 class="mb-20 text-muted">@lang('Request Via') {{ @$booking->user_name }}</h5>
                <ul class="list-group">
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Date')
                        <span class="fw-bold">{{ showDateTime(@$booking->created_at) }}</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Email')
                        <span class="fw-bold">{{ @$booking->email }}</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Boat Category')
                        <span class="fw-bold">
                            <a target="_blank" href="{{ route('category.boats', [slug(@$booking->category->name),@$booking->category->id]) }}">{{ @$booking->category->name}}</a>
                        </span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Phone')
                        <span class="fw-bold">{{ __(@$booking->phone) }}</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Form Date')
                        <span class="fw-bold">{{ Carbon\Carbon::parse($booking->from_date)->format('Y-m-d') }}</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('To Date')
                        <span class="fw-bold">{{ Carbon\Carbon::parse($booking->to_date)->format('Y-m-d') }}</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Status')

                        @if($booking->status == 0)
                            <span class="badge badge--warning">@lang('Pending')</span>
                        @endif
                        @if($booking->status == 1)
                            <span class="badge badge--success">@lang('Approved')</span>
                        @endif
                    </li>
                    @if($booking->message)
                    <li class="list-group-item">
                        <strong>@lang('Message')</strong>
                        <br>
                        <p>{{__($booking->message)}}</p>
                    </li>
                    @endif
                    @if($booking->status == 0 || $booking->status == 2)
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        @lang('Verifying Request Status')

                        <a href="{{ route('admin.report.booking.single_view.status', $booking->id) }}" class="btn btn-sm btn-outline--primary ms-1" title="Status">
                            <i class="fas fa-check"></i> @lang('Complete')
                        </a>
                    </li>
                    @endif
                </ul>
            </div>
        </div>
    </div>

</div>

@endsection



