@extends($activeTemplate.'layouts.frontend')
@section('content')
    @php
        $contact = getContent('contact_us.content', true);
    @endphp



<!--=======-** Yachts Start **-=======-->
    <section class="yachts_area wrapper pt-100 pb-80 md-pt-60 md-pb-40">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8 col-md-6">
                    <div class="row justify-content-center">
                        @foreach($boats as $key=>$data)
                            <div class="col-lg-6 col-md-6">
                                <div class="yachts_wrap mb-30">
                                    <div class="yachts_img">
                                        <a href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}">
                                            <img src="{{ getImage(getFilePath('boatImage').'/'.@$data->image[0]->image)}}" alt="">            
                                        </a>
                                    </div>
                                    <div class="yachts_content">
                                        <div class="meta_wrap">
                                            <span><i class="las la-map-marker"></i>@if(strlen(__(@$data->location->name)) >20)
                                                {{substr( __(@$data->location->name), 0,20).'...' }}
                                                @else
                                                {{__(@$data->location->name)}}
                                                @endif</span>
                                            <span>{{$general->cur_sym}}{{showAmount($data->price)}}@lang(' / Day')</span>
                                        </div>
                                        <div class="d-flex boat-attr">
                                            <span title="Passengers"><i class="las la-users"></i> {{$data->passengers}}</span>  
                                            <span title="Cabins"><i class="las la-store-alt ps-2"></i> {{$data->cabins}}</span> 
                                            <span title="Class"><i class="las la-anchor ps-2"></i> {{$data->class}}</span>
                                        </div>

                                        <a class="title" href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}"><h4>{{$data->name}}@lang(' | '){{$data->size}}@lang(' Feet')</h4></a>
                                        <p class="mb-25">{{ strLimit(strip_tags(@$data->description,120), 120) }}</p>
                                            <a href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}" class="theme_btn_sm theme_btn_hover alt-color">
                                            @lang('Boat Details')
                                            <span>
                                                <i class="las la-arrow-right"></i>
                                                <i class="las la-arrow-right"></i>
                                            </span>
                                            <b></b>
                                            </a>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
                <aside class="col-lg-4">
                    <div class="widget_box mb-30">
                        <section class="banner-search details-shado-n login_area login_bg">
                            <div class="row justify-content-center">
                                <div class="col-12">
                                    <form action="{{ route('search') }}" method="get">
                                        @csrf
                                        <div class="register_wrapper">
                                            <h4>@lang('Search')</h4>
                                                <div class="form-group profile mb-25">
                                                    <div class="single-input">
                                                        <input placeholder="@lang('Search')" id="boat" name="boat">
                                                        <i class="fa-solid fa-magnifying-glass"></i>
                                                    </div>
                                                </div>
                
                                                <div class="form-group profile mb-25">
                                                    <label>@lang('Category')</label>
                                                    <select name="category">
                                                        <option  selected disabled>@lang('Select Category')</option>
                                                            @foreach($categories as $data)
                                                            <option  value="{{$data->id}}">{{$data->name}}</option>
                                                            @endforeach 
                                                    </select>
                                                </div>
                
                
                                                <div class="form-group profile mb-25">
                                                    <label>@lang('Locations')</label>
                                                    <select name="location">
                                                        <option  selected disabled>@lang('Select Location')</option>
                                                            @foreach($locations as $data)
                                                            <option  value="{{$data->id}}">{{$data->name}}</option>
                                                            @endforeach
                                                    </select>
                                                </div>

                                                <div class="form-group profile mb-25">
                                                    <label for="passengers">@lang('Passengers')</label>
                                                    <div class="single-input">
                                                        <input placeholder="@lang('Number of People')" id="passengers" name="passengers">
                                                        <i class="fa-solid fa-users"></i>
                                                    </div>
                                                </div>
                
                                                <div class="text-end">
                                                    <button type="submit" class="theme_btn_sm theme_btn_hover alt-color">
                                                        @lang('Search')
                                                        <span>
                                                            <i class="las la-arrow-right"></i>
                                                            <i class="las la-arrow-right"></i>
                                                        </span>
                                                        <b></b>
                                                    </button>
                                                </div>
                                        </div>
                                    </form>
                                </div>
                
                            </div>
                        </section>
    
                    </div>
                    <div class="widget_box mb-30">
                        <div class="widget_box_header mb-20">
                            <h4>@lang('Category')</h4>
                        </div>
                        <ul class="property_status">
                            @forelse($randomCategories as $category)
                            <li><a href="{{ route('category.boats', [slug(@$category->name),$category->id]) }}">{{$category->name}}</a></li>
                            @empty
                            <li><a href="javascript:void(0)">{{ $emptyMessage}}</a></li>
                            @endforelse
                        </ul>
                    </div>
                    <div class="widget_box mb-30">
                        <div class="widget_box_header mb-20">
                            <h4>@lang('Contact')</h4>
                        </div>
                        <div class="property_status">
                            <ul>
                                <li>
                                    <i class="fa-solid fa-location-dot"></i><span class="px-3">{{__(@$contact->data_values->office_details)}}</span>
                                </li>
                                <li>
                                    <a href="tel:{{__(@$contact->data_values->contact_number)}}"><i class="las la-phone"></i><span class="px-3">{{__(@$contact->data_values->contact_number)}}</span></a>
                                </li>
                                <li>
                                    <a href="mailto:{{__(@$contact->data_values->email_address)}}"><i class="lar la-envelope"></i><span class="px-3">{{__(@$contact->data_values->email_address)}}</span></a>
                                </li>
                            </ul>
                        </div>
    
                    </div>
                    
                </aside>
            </div>
            @if($boats->count()>5)
            @if ($boats->hasPages())
                <div class="py-4">
                    @php echo paginateLinks($boats) @endphp
                </div>
            @endif
            @endif
        </div>
    </section>
<!--=======-** Yachts End **-=======-->

@endsection