@extends($activeTemplate.'layouts.frontend')
@section('content')

@php
$content = getContent('blog.content', true);
$element = App\Models\Frontend::where('data_keys', 'blog.element')->orderBy('id', 'desc')->paginate(getPaginate(6));
@endphp


<!--=======-** Blog Start **-=======-->
<section class="blog_area pt-100 pb-80 md-pt-60 md-pb-60">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-6 col-lg-6">
                <div class="section_title text-center mb-30">
                    <h5>{{__(@$content->data_values->title)}}</h5>
                    <h3>{{__(@$content->data_values->heading)}}</h3>
                    <p class="mb-20 ">{{__(@$content->data_values->description)}}</p>
                </div>
            </div>
        </div>
        <div class="row gy-4 justify-content-center">
            @foreach($elements as $item)
            <div class="col-xl-4 col-lg-4 col-md-6">
                <div class="blog">
                    <div class="blog_thumb">
                        <img src="{{ getImage(getFilePath('blog').'/'.'blog/'.'thumb_'.@$item->data_values->blog_image)}}"
                            alt="">
                        <span class="date"><b>{{ $item->created_at->format('d') }}</b>
                            <b>{{ $item->created_at->format('M') }}</b><b>
                                {{ $item->created_at->format('Y') }}</b></span>
                    </div>
                    <div class="blog_content">
                        <h4 class="title"><a
                                href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}">@if(strlen(__($item->data_values->title)) >40)
                                {{substr( __($item->data_values->title), 0,50).'...' }}
                                @else
                                {{__($item->data_values->title)}}
                                @endif</a>
                        </h4>
                        <a href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}" class="read-more">{{@$item->data_values->button}}<i class="">@php
                                echo (@$item->data_values->icon); @endphp</i></a>
                    </div>
                </div>
            </div>
            @endforeach

        </div>
        @if ($elements->hasPages())
            <div class="py-4">
                @php echo paginateLinks($elements) @endphp
            </div>
        @endif
    </div>
</section>
<!--=======-** Blog End **-=======-->

    @if($sections->secs != null)
        @foreach(json_decode($sections->secs) as $sec)
            @include($activeTemplate.'sections.'.$sec)
        @endforeach
    @endif
@endsection
