

@extends($activeTemplate.'layouts.frontend')
@section('content')

@php
    $blogelement = getContent('blog.element', false, 3);
    $content = getContent('contact_us.content', true);
@endphp


<!--=======-** Blog Start **-=======-->
<section class="blog_area pt-100 pb-80 md-pt-60 md-pb-60">
    <div class="container">
        <div class="row gy-4 justify-content-center">
            <div class="col-lg-8">
                <div class="blog blog-details">
                    <div class="blog_thumb">
                        <img src="{{ getImage(getFilePath('blog').'/'.'blog/'.@$element->data_values->blog_image)}}"
                            alt="">
                        <span class="date"><b>{{ $element->created_at->format('d') }}</b>
                            <b>{{ $element->created_at->format('M') }}</b><b>
                                {{ $element->created_at->format('Y') }}</b></span>
                    </div>
                    <div class="blog_content">
                        <ul class="meta mb-20">
                            <li><i class="fa-solid fa-calendar-days"></i>
                                {{ showDateTime(@$element->data_values->created_at) }}
                            </li>
                        </ul>
                        <h4 class="title">{{ @$element->data_values->title }}</h4>
                        <div class="blog_text">
                            <p class="mb-10">@php echo @$element->data_values->description @endphp</p>
                        </div>
                    </div>

                    <ul class="post-share d-flex flex-wrap align-items-center justify-content-center my-5 social_icons">
                        <li class="ps-3 caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Facebook"> <a target="_blank" href="https://www.facebook.com/share.php?u={{ Request::url() }}&title={{slug(@$element->data_values->title)}}"><i class="lab la-facebook-f"></i></a> </li>
                        <li class="px-3 caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Linkedin"> <a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url={{ Request::url() }}&title={{slug(@$element->data_values->title)}}&source=behands"><i class="lab la-linkedin-in"></i></a> </li>
                        <li class="caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Twitter"> <a target="_blank" href="https://twitter.com/intent/tweet?status={{slug(@$element->data_values->title)}}+{{ Request::url() }}"><i class="lab la-twitter"></i></a> </li>
                    </ul>
                </div>
            </div>

            <aside class="col-lg-4">
                <div class="widget_box mb-30">
                    <div class="widget_box_header">
                        <h4 class="mb-20">@lang('Recent Posts')
                        </h4>
                    </div>
                    @foreach($blogelement as $item)
                    <div class="popular_posts mb-20">
                        <a class="pr-3" href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}">
                            <img src="{{ getImage(getFilePath('blog').'/'.'blog/'.@$item->data_values->blog_image)}}"
                                class="flex-shrink-0 me-3" alt="Image">
                        </a>
                        <div class="detail">
                            <h4>
                                <a href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}">@if(strlen(__($item->data_values->title))
                                    >30)
                                    {{substr( __($item->data_values->title), 0,30).'...' }}
                                    @else
                                    {{__($item->data_values->title)}}
                                    @endif</a>
                            </h4>

                            <div class="listing-post-meta">
                                <b>{{ $item->created_at->format('M') }}</b> <b>{{ $item->created_at->format('d') }}</b>
                                <b> {{ $item->created_at->format('Y') }}</b>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>

                <div class="widget_box mb-30">
                    <div class="widget_box_header mb-20">
                        <h4>@lang('Category')</h4>
                    </div>
                    <ul class="property_status">
                        @forelse(@$categories as $category)
                        <li><a href="javascript:void(0)">{{$category->name}} </a></li>
                        @empty
                        <li><a href="javascript:void(0)">{{ $emptyMessage}}</a></li>
                        @endforelse
                    </ul>
                </div>


                <div class="widget_box mb-30">
                    <div class="widget_box_header mb-20">
                        <h4>@lang('Contact')</h4>
                    </div>
   
                        <div class="property_status">
                            <ul>
                                <li>
                                    <i class="fa-solid fa-location-dot"></i><span class="px-3">{{__(@$content->data_values->office_details)}}</span>
                                </li>
                                <li>
                                    <a href="tel:{{__(@$content->data_values->contact_number)}}"><i class="las la-phone"></i><span class="px-3">{{__(@$content->data_values->contact_number)}}</span></a>
                                </li>
                                <li>
                                    <a href="mailto:{{__(@$content->data_values->email_address)}}"><i class="lar la-envelope"></i><span class="px-3">{{__(@$content->data_values->email_address)}}</span></a>
                                </li>
                            </ul>
                        </div>

                </div>



            </aside>

        </div>
    </div>
</section>
@endsection
