@extends($activeTemplate.'layouts.frontend')
@section('content')
@php
$element = getContent('blog.element', false, 3);
$contact = getContent('contact_us.content', true);
@endphp

<section class="yachts_area wrapper pt-100 pb-40 md-pt-60 md-pb-30">
    <div class="container">

        <div class="row">
            <div class="col-lg-8">
                <div class="yachts_wrap yacht_details mb-30">
                    <div class="yachts_img">
                        <div class="slider-for">
                            @foreach($images as $image)
                            <div class="single-slider">
                                <img src="{{ getImage(getFilePath('boatImage').'/'.@$image->image)}}" alt="">
                            </div>
                            @endforeach
                        </div>
                        <div class="slider-nav">
                            @foreach($images as $image)
                            <div class="single-slider single-slider-sm">
                                <img src="{{ getImage(getFilePath('boatImage').'/'.@$image->image)}}" alt="">
                            </div>
                            @endforeach
                        </div>
                    </div>

                    <div class="yachts_content">
                        <div class="meta_wrap">
                            <span><i class="las la-calendar"></i> {{@$boat->name}}</span>
                            <span class="price">{{$general->cur_sym}} {{showAmount(@$boat->price)}}</span>
                        </div>
                        <h4 class="title"><i class="las la-map-marker"></i> {{@$boat->location->name}}</h4>
                        <p class="mb-20">
                            @php echo $boat->description; @endphp
                        </p>
                        <div class="yachts_info_wrap mb-30">
                            <h2 class="title mt-20"> @lang('Specification') </h2>
                            <div class="single_yachts">
                                <span class="margin-right"> <i class="las la-taxi"></i> <span class="heilight">
                                        @lang('Class:')</span> {{@$boat->class}}</span>
                                <span> <i class="las la-gas-pump"></i> <span class="heilight"> @lang('Fuel:')</span>
                                    {{@$boat->fuel}}</span>

                            </div>
                            <div class="single_yachts">
                                <span> <i class="las la-snowman"></i> <span class="heilight">
                                        @lang('passengers:')</span> {{@$boat->passengers}}</span>
                            </div>
                            <div class="single_yachts">
                                <span class="margin-right"> <i class="las la-heartbeat"></i> <span class="heilight">
                                        @lang('Mileage:')</span> {{@$boat->mileage}}</span>
                                <span> <i class="las la-wallet"></i> <span class="heilight"> @lang('Price from:')</span>
                                    {{$general->cur_text}} {{ showAmount(@$boat->price) }} @lang('/day')</span>

                            </div>
                        </div>
                        <div class="yachts_info_wrap mb-30">
                            <h2 class="title"> @lang('Additional Informattion')</h2>
                            <div class="row ">
                                @php
                                $additional = json_decode(@$boat->additional);
                                @endphp
           
                                    @foreach($additional as $data)
                                    <div class="col-6 mb-15">
                                        <div class="single_yachts">
                                            <span class="margin-right"> <i class="las la-check-circle me-1"></i>{{$data}}</span>
                                        </div>
                                    </div>
                                    @endforeach
                                </div>

                        </div>
                        <form action="{{ route('user.boat.booking', $boat->id)}}" method="get">
                            @csrf
                            <div class="row">
                                <div class="row">
                                    <div class="col-12">
                                        <p class="text-dark " id="result-3"></p>
                                    </div>
                                </div>

                                <div class="col-xl-6">
                                    <label for="">@lang('Start Date:')</label>
                                    <div class="contact-box date mb-35" id="datepicker_from">
                                        <i class="las la-calendar"></i>
                                        <input name="start_booking" type="text" id="start_booking"
                                            class="contact-box__contact-home">
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <label for="">@lang('End Date:')</label>
                                    <div class="contact-box date mb-35" id="datepicker_to">
                                        <i class="las la-calendar"></i>
                                        <input name="end_booking" type="text" id="end_booking"
                                            class="contact-box__contact-home">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        <h2 class="text-dark text-end m-15"> <span id="rental_cost">@lang('Rent Cost
                                                : ')0 </span> <span class="highlight">{{$general->cur_text}}</span></h2>
                                        <h2 class="text-dark text-end m-15"><span id="booking_days">@lang('Booking Days
                                                : ')0 </span><span class="highlight"> @lang('Days')</span></h2>
                                    </div>
                                </div>

                                <div class="col-xl-12">
                                    <button type="submit" class="theme_btn theme_btn_hover alt-color">
                                        @lang('Confirm Now')
                                        <span>
                                            <i class="las la-arrow-right"></i>
                                            <i class="las la-arrow-right"></i>
                                        </span>
                                        <b></b>
                                    </button>
                                </div>
                            </div>
                        </form>

                        <div class="row">
                            <div class="col-12 text-center">
                                <div class="contact-box single-input mb-35">
                                    <h2 class="m-15">@lang('Boat Availability')</h2>
                                    <input style="display: none;" type="text" id="datepicker" />
                                </div>
                            </div>
                        </div>
                    </div>

                    <ul class="post-share d-flex flex-wrap align-items-center justify-content-center my-5 social_icons">
                        <li class="ps-3 caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Facebook"> <a target="_blank" href="https://www.facebook.com/share.php?u={{ Request::url() }}&title={{slug(@$boat->name)}}"><i class="lab la-facebook-f"></i></a> </li>
                        <li class="px-3 caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Linkedin"> <a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url={{ Request::url() }}&title={{slug(@$boat->name)}}&source=behands"><i class="lab la-linkedin-in"></i></a> </li>
                        <li class="caption" data-bs-toggle="tooltip" data-bs-placement="top" title="Twitter"> <a target="_blank" href="https://twitter.com/intent/tweet?status={{slug(@$boat->name)}}+{{ Request::url() }}"><i class="lab la-twitter"></i></a> </li>
                    </ul>
                </div>
            </div>

            <aside class="col-lg-4">

                <div class="widget_box mb-30">
                    <section class="banner-search details-shado-n login_area login_bg">
                        <div class="row justify-content-center">
                            <div class="col-12">
                                <form action="{{ route('search') }}" method="get">
                                    @csrf
                                    <div class="register_wrapper">
                                            <div class="form-group profile mb-25">
                                                <div class="single-input">
                                                    <input placeholder="@lang('Search name')" id="boat" name="boat">
                                                    <i class="fa-solid fa-magnifying-glass"></i>
                                                </div>
                                            </div>
            
                                            <div class="form-group profile mb-25">
                                                <label>@lang('Category')</label>
                                                <select name="category">
                                                    <option  selected disabled>@lang('Select Category')</option>
                                                        @foreach($categories as $data)
                                                        <option  value="{{$data->id}}">{{$data->name}}</option>
                                                        @endforeach 
                                                </select>
                                            </div>
            
            
                                            <div class="form-group profile mb-25">
                                                <label>@lang('Locations')</label>
                                                <select name="location">
                                                    <option  selected disabled>@lang('Select Location')</option>
                                                        @foreach($locations as $data)
                                                        <option  value="{{$data->id}}">{{$data->name}}</option>
                                                        @endforeach
                                                </select>
                                            </div>

                                            <div class="form-group profile mb-25">
                                                <label for="passengers">@lang('Passengers')</label>
                                                <div class="single-input">
                                                    <input placeholder="@lang('Number of People')" id="passengers" name="passengers">
                                                    <i class="fa-solid fa-users"></i>
                                                </div>
                                            </div>
            
                                            <div class="text-end">
                                                <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mb-15">
                                                    @lang('Search')
                                                    <span>
                                                        <i class="las la-arrow-right"></i>
                                                        <i class="las la-arrow-right"></i>
                                                    </span>
                                                    <b></b>
                                                </button>
                                            </div>
                                    </div>
                                </form>
                            </div>
            
                        </div>
                    </section>
                </div>

                <div class="widget_box mb-30">
                    <div class="widget_box_header mb-20">
                        <h4>@lang('Contact')</h4>
                    </div>
                    <div class="property_status">
                        <ul>
                            <li>
                                <i class="fa-solid fa-location-dot"></i><span class="px-3">{{__(@$contact->data_values->office_details)}}</span>
                            </li>
                            <li>
                                <a href="tel:{{__(@$contact->data_values->contact_number)}}"><i class="las la-phone"></i><span class="px-3">{{__(@$contact->data_values->contact_number)}}</span></a>
                            </li>
                            <li>
                                <a href="mailto:{{__(@$contact->data_values->email_address)}}"><i class="lar la-envelope"></i><span class="px-3">{{__(@$contact->data_values->email_address)}}</span></a>
                            </li>
                        </ul>
                    </div>

                </div>
                
                <div class="widget_box mb-30">
                    <div class="widget_box_header mb-20">
                        <h4>@lang('Category')</h4>
                    </div>
                    <ul class="property_status">
                        @forelse($randomCategories as $category)
                        <li><a href="{{ route('category.boats', [slug(@$category->name),$category->id]) }}">{{$category->name}} </a></li>
                        @empty
                        <li><a href="javascript:void(0)">{{ $emptyMessage}}</a></li>
                        @endforelse
                    </ul>
                </div>


                <div class="widget_box mb-30">
                    <div class="widget_box_header">
                        <h4 class="mb-20">@lang('Recent Posts')</h4>
                    </div>

                    @foreach($element as $item)
                    <div class="popular_posts mb-20">
                        <a class="pr-3" href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}">
                            <img src="{{ getImage(getFilePath('blog').'/'.'blog/'.@$item->data_values->blog_image)}}"
                                class="flex-shrink-0 me-3" alt="Image">
                        </a>
                        <div class="detail">
                            <h4>
                                <a href="{{ route('blogdetails', [slug($item->data_values->title),$item->id])}}">@if(strlen(__($item->data_values->title))
                                    >30)
                                    {{substr( __($item->data_values->title), 0,30).'...' }}
                                    @else
                                    {{__($item->data_values->title)}}
                                    @endif</a>
                            </h4>
                            <div class="listing-post-meta">
                                <b>{{ $item->created_at->format('M') }}</b> <b>{{ $item->created_at->format('d') }}</b>
                                <b> {{ $item->created_at->format('Y') }}</b>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>



            </aside>

        </div>
    </div>
</section>
<!--=======-** Yachts End **-=======-->

@endsection


@push('script')
<script>
    (function ($) {
        "use strict";

        var picker_range = new Lightpick({
            field: document.getElementById('start_booking'),
            secondField: document.getElementById('end_booking'),
            minDate: new Date(),
            startDate: moment(),
            disableDates: @json($dates),
            // disabledDatesInRange: false,
            footer: true,
            singleDate: false,
           // minDays: 2,
            onSelect: function (start, end) {
                var str = '';
                str += start ? start.format('Do MMMM YYYY') + ' to ' : '';
                str += end ? end.format('Do MMMM YYYY') : '...';
                document.getElementById('result-3').innerHTML = str;


                var price = {{$boat->price}};
                var numItems = $('.is-in-range').length;
                var text = 'Rent cost : ' + numItems * price;
                var count = 'Booking Days : ' + numItems;

                document.getElementById('rental_cost').innerHTML = text;
                document.getElementById('booking_days').innerHTML = count;
            }
        });


        var picker1 = new Lightpick({
            field: document.getElementById('datepicker'),
            inline: true,
            singleDate: false,
            minDate: new Date(),
            disableDates: @json($dates),
            onSelect: function (start, end) {
                var price = {{$boat->price}};
                var numItems = $('.is-in-range').length;
                var text = 'Boat cost :' + numItems * price;
                console.log(text);
            }
        });


    })(jQuery);



</script>
@endpush

@push('style')

<style>


    .applyButtonClasses {
        display: none;
    }

    .contact-box.lightpick.lightpick_inner.lightpick_tooltip{
        color:white;
        background-color: white;
        display: none !important;
    }

</style>
@endpush
