@extends($activeTemplate.'layouts.frontend')
@section('content')

@php
    $content = getContent('contact_us.content', true);
@endphp
<!--=======-** Contact start **-=======-->
<section class="contact-area pt-100 pb-70 md-pt-70 md-pb-20">
    <div class="container">

        <div class="row justify-content-center">
            <div class="col-xl-6 col-lg-6">
                <div class="section_title text-center mb-30">
                    <h5 class="">{{__(@$content->data_values->title)}}</h5>
                    <h3>{{__(@$content->data_values->heading)}}</h3>
                    <p class="mb-20">{{__(@$content->data_values->description)}}</p>
                </div>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-xl-4 col-lg-4 col-md-4">
                <div class="contact-info mb-30">
                    <div class="contact-info__addres-wrap mb-30">
                        <div class="single_wrapper mb-30">
                            <div class="cont-icon text-center">
                                <i class="las la-phone-volume"></i>
                            </div>
                            <div class="single-info">
                                <h5>{{__(@$content->data_values->call_us)}}</h5>
                                <div class="cont-text">
                                    <h6><a href="javascript:void(0)">{{__(@$content->data_values->contact_number)}}</a></h6>
                                </div>
                            </div>
                        </div>
                        <div class="single_wrapper mb-30">
                            <div class="cont-icon text-center">
                                <i class="lar la-envelope"></i>
                            </div>
                            <div class="single-info">
                                <h5>{{__(@$content->data_values->email)}}</h5>
                                <div class="cont-text">
                                    <h6><a href="javascript:void(0)">{{__(@$content->data_values->email_address)}}</a></h6>
                                </div>
                            </div>
                        </div>
                        <div class="single_wrapper mb-30">
                            <div class="cont-icon text-center">
                                <i class="las la-house-damage"></i>
                            </div>
                            <div class="single-info">
                                <h5>{{__(@$content->data_values->office)}}</h5>
                                <div class="cont-text">
                                    <h6><a href="javascript:void(0)">{{__(@$content->data_values->office_details)}}</a></h6>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-8 col-lg-8 col-md-8 pb-30">

                <div class="contact-form padding">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="section-title mb-4">
                                <h2>@lang('Feel free to write')</h2>
                            </div>
                        </div>
                    </div>
                    <form method="post" action="" class="verify-gcaptcha">
                        @csrf
                        <div class="row">
                            <div class="col-xl-6">
                                <div class="contact-box mb-30">
                                    <i class="fa-regular fa-user"></i>
                                    <input class="contact-box__contact-home" name="name" type="text"
                                        placeholder="Your Full Name"
                                        value="@if(auth()->user()){{ auth()->user()->fullname() }} @else{{ old('name') }}@endif"
                                        @if(auth()->user()) readonly @endif required>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="contact-box mb-30">
                                    <i class="fa-regular fa-envelope"></i>
                                    <input name="email" class="contact-box__contact-home" type="email"
                                        placeholder="Email Address"
                                        value="@if(auth()->user()){{ auth()->user()->email }}@else{{  old('email') }}@endif"
                                        @if(auth()->user()) readonly @endif required>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="contact-box mb-30">
                                    <i class="fa-solid fa-book"></i>
                                    <input name="subject" class="contact-box__contact-home" type="text"
                                        placeholder="Subject" value="{{old('subject')}}" required>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="contact-box mb-30">
                                    <i class="fa-regular fa-message"></i>
                                    <textarea name="message" class="contact-box__contact-home text-area" name="text"
                                        cols="30" rows="10" placeholder="Write Your Messege"
                                        required>{{old('message')}}</textarea>
                                </div>
                            </div>
                        </div>
                        <x-captcha></x-captcha>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="submit" class="theme_btn theme_btn_hover alt-color">
                                    @lang('Send Messege')
                                    <span>
                                        <i class="las la-arrow-right"></i>
                                        <i class="las la-arrow-right"></i>
                                    </span>
                                    <b></b>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!--=======-** Contact End **-=======-->

<!--=======-** Contact start **-=======-->

    <div class="container-fluid position-relative">
        <div class="row justify-content-center">
            <div class="col-lg-12 col-md-12">
                <div class="contact-google-map">
                    <iframe
                        src="https://maps.google.com/maps?q={{ $content->data_values->latitude }},{{ $content->data_values->longitude }}&hl=es;z=14&amp;output=embed"></iframe>
                </div>
            </div>
        </div>
    </div>

<!--=======-** Contact End **-=======-->


@endsection







