@extends($activeTemplate.'layouts.frontend')
@section('content')

@php
$banners = getContent('banner.content', true);
$banner_element = getContent('banner.element', false, 10);
$categories = App\Models\BoatCategory::where('status', 1)->get();
$locations = App\Models\Location::where('status', 1)->get();

@endphp


<div class="slider-area">
    <ul class="slider-active">
        @foreach($banner_element as $item)
        <li class="single-slider">
            <div class="slider-bg img-zoom"
                data-background="{{ getImage(getFilePath('banners').'/'.'banner/'.@$item->data_values->banner_image)}}">
            </div>

        </li>
        @endforeach
    </ul>
    <div class="slider_content_wrap">
        <div class="container">
            <div class="row justify-content-center align-items-center mt-10">
                <div class="col-lg-8 col-md-12">
                    <div class="slider-content mb-20">
                        <span data-animation="fadeInUp"
                            data-delay=".5s">{{ __($banners->data_values->small_text) }}</span>
                        <h2 data-animation="fadeInUp" data-delay=".6s">{{ __($banners->data_values->heading) }}</h2>
                        <p data-animation="fadeInUp" data-delay=".8s">{{ __($banners->data_values->paragraph) }}</p>
                        <a data-animation="fadeInUp" data-delay=".10s" href="{{ route('home').$banners->data_values->button_url }}"
                            class="theme_btn theme_btn_hover alt-color">{{ __($banners->data_values->button) }}
                            <span>
                                <i class="las la-arrow-right"></i>
                                <i class="las la-arrow-right"></i>
                            </span>
                            <b></b>
                        </a>
                    </div>
                </div>
                <div class="col-lg-4 col-md-12">
                    <section class="banner-search login_area login_bg">
                        <div class="row justify-content-center">
                            <div class="col-12">
                                <form action="{{ route('search') }}" method="get">
                                    @csrf
                                    <div class="register_wrapper">
                                        <div class="mb-4 mt-2">
                                            <h2>@lang('Find your ride')</h2>
                                            <p>@lang('Search by boat name or location around you.')</p>
                                        </div>
                                            <div class="form-group profile mb-25">
                                                <div class="single-input">
                                                    <input placeholder="@lang('Search Boats')" id="boat" name="boat">
                                                    <i class="fa-solid fa-magnifying-glass"></i>
                                                </div>
                                            </div>
            
                                            <div class="form-group profile mb-25">
                                                <label>@lang('Category')</label>
                                                <select name="category">
                                                    <option  selected disabled>@lang('Select Category')</option>
                                                        @foreach($categories as $data)
                                                        <option  value="{{$data->id}}">{{$data->name}}</option>
                                                        @endforeach 
                                                </select>
                                            </div>
            
            
                                            <div class="form-group profile mb-25">
                                                <label>@lang('Locations')</label>
                                                <select name="location">
                                                    <option  selected disabled>@lang('Select Location')</option>
                                                        @foreach($locations as $data)
                                                        <option  value="{{$data->id}}">{{$data->name}}</option>
                                                        @endforeach
                                                </select>

                                            </div>
            
                                            <div class="text-end">
                                                <button type="submit" class="theme_btn_sm theme_btn_hover alt-color">
                                                    @lang('Search')
                                                    <span>
                                                        <i class="las la-arrow-right"></i>
                                                        <i class="las la-arrow-right"></i>
                                                    </span>
                                                    <b></b>
                                                </button>
                                            </div>
                                    </div>
                                </form>
                            </div>
            
                        </div>
                    </section>
                </div>


            </div>
        </div>
    </div>
</div>

@if($sections->secs != null)
@foreach(json_decode($sections->secs) as $sec)
@include($activeTemplate.'sections.'.$sec)
@endforeach
@endif

@endsection
