<!doctype html>
<html lang="{{ config('app.locale') }}" itemscope itemtype="http://schema.org/WebPage">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title> {{ $general->siteName(__($pageTitle)) }}</title>
    @include('partials.seo')



    <link href="{{ asset('assets/global/css/all.min.css') }}" rel="stylesheet">
    <!-- ==== CSS here ==== -->
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/basictable.css') }}">
    <!-- fontawesome -->
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/all.min.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/line-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/animate.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/bootstrap-datepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/animate.min.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/magnific-popup.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/slick.css') }}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/responsive.css') }}">


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">


    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/lightpick.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/global/css/line-awesome.min.css') }}">

    @stack('style-lib')

    @stack('style')

        <style>
            .cookies-card {
                position: fixed;
                bottom: 16px;
                width: 40%;
                padding: 20px;
                background: #fff;
                border: 2px solid #108ce6;
                box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
                right: 16px;
                z-index: 99;
                border: 2px solid #108ce6;
                }
            .dark-mode .cookies-card {
                background: #2d3748;
                border: 1px solid #404040;
            }
            @media (max-width:576px) {
                .cookies-card {
                    width: 90%;
                }
            }
        </style>


<link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/main.css') }}">
<link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'css/color.php') }}?color={{ $general->base_color }}&secondColor={{ $general->secondary_color }}">
</head>

<body>

    @stack('fbComment')

    <div id="loading">
            <div id="loading-center">
                <div id="loading-center-absolute">
                    <div class="loader">
                        <div class="loader__bar"></div>
                        <div class="loader__bar"></div>
                        <div class="loader__bar"></div>
                        <div class="loader__bar"></div>
                        <div class="loader__bar"></div>
                        <div class="loader__ball"></div>
                    </div>
                </div>
            </div>
        </div>
    @include($activeTemplate . 'partials.header')
    <main>
        @if (request()->route()->uri != '/')
            @include($activeTemplate . 'partials.breadcrumb')
        @endif

        @yield('content')
    </main>

    @include($activeTemplate . 'partials.footer')

    @php
        $cookie = App\Models\Frontend::where('data_keys', 'cookie.data')->first();
    @endphp
    @if ($cookie->data_values->status == 1 && !\Cookie::get('gdpr_cookie'))
        <!-- cookies dark version start -->
            <div class="cookies-card text-center hide">
                <p class="mt-4 mb-10 cookies-card__content text-white">{{ $cookie->data_values->short_desc }} <a
                        href="{{ route('cookie.policy') }}" target="_blank" class="text--primary">@lang('learn more')</a></p>
                <div class="cookies-card__btn my-10">
                    <button type="submit" class="theme_btn_sm theme_btn_hover alt-color policy">
                        @lang('Allow')
                        <span>
                            <i class="las la-arrow-right"></i>
                            <i class="las la-arrow-right"></i>
                        </span>
                        <b></b>
                    </button>
                </div>
            </div>

        <!-- cookies dark version end -->
    @endif


    <script src="{{ asset($activeTemplateTrue . 'js/jquery-3.6.0.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/waypoints.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/counterup.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/jquery.meanmenu.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/bootstrap.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/wow.min.js') }}"></script>


    <script src="https://alexandrebuffet.fr/codepen/slider/slick-animation.min.js"></script>


    
    <script src="{{ asset($activeTemplateTrue . 'js/slick.min.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/jquery.basictable.js') }}"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/jquery.magnific-popup.min.js') }}"></script>

    {{-- Lightpick Date Range Picker --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script src="{{ asset($activeTemplateTrue . 'js/lightpick.js') }}"></script>

    <script src="{{ asset($activeTemplateTrue . 'js/main.js') }}"></script>

    <script>
        (function($) {
            "use strict";
            $(".language-select").on("change", function () {
        window.location.href = "{{ route('home') }}/change/" + $(this).val();
        });

            window.matchMedia('(prefers-color-scheme: dark)').addEventListener('change', event => {
                matched = event.matches;
                if (matched) {
                    $('body').addClass('dark-mode');
                    $('.navbar').addClass('navbar-dark');
                } else {
                    $('body').removeClass('dark-mode');
                    $('.navbar').removeClass('navbar-dark');
                }
            });

            let matched = window.matchMedia('(prefers-color-scheme: dark)').matches;
            if (matched) {
                $('body').addClass('dark-mode');
                $('.navbar').addClass('navbar-dark');
            } else {
                $('body').removeClass('dark-mode');
                $('.navbar').removeClass('navbar-dark');
            }

            var inputElements = $('input,select');
            $.each(inputElements, function(index, element) {
                element = $(element);
                element.closest('.form-group').find('label').attr('for', element.attr('name'));
                element.attr('id', element.attr('name'))
            });

            $('.policy').on('click', function() {
                $.get('{{ route('cookie.accept') }}', function(response) {
                    $('.cookies-card').addClass('d-none');
                });
            });

            setTimeout(function() {
                $('.cookies-card').removeClass('hide')
            }, 2000);

            var inputElements = $('[type=text],select,textarea');
            $.each(inputElements, function(index, element) {
                element = $(element);
                element.closest('.form-group').find('label').attr('for', element.attr('name'));
                element.attr('id', element.attr('name'))
            });

            $.each($('input, select, textarea'), function(i, element) {

                if (element.hasAttribute('required')) {
                    $(element).closest('.form-group').find('label').addClass('required');
                }

            });



        })(jQuery);
    </script>

@stack('script-lib')

@stack('script')

@include('partials.plugins')

@include('partials.notify')
</body>

</html>
