@php
    $content = getContent('contact_us.content', true);
    $element = getContent('social_icon.element', false, 3);
    $languages = App\Models\Language::all();
    $pages = App\Models\Page::where('tempname',$activeTemplate)->where('is_default',0)->get();
@endphp


<header class="header_area header-transparent">
    <div class="header_top">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-7 col-lg-7 col-md-7">
                    <div class="header_top_left">
                        <ul>
                            <li>
                                <a href="tel:{{@$content->data_values->contact_number}}"><i class="las la-phone"></i> {{@$content->data_values->contact_number}}</a>
                            </li>
                            <li>
                                <a href="mailto:{{__(@$content->data_values->email_address)}}"><i class="lar la-envelope"></i>
                                    {{__(@$content->data_values->email_address)}}</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-5  col-lg-5 col-md-5">
                    <div class="header_top_right">
                        <div class="login_top">
                            @guest
                            <a href="{{ route('user.login') }}">
                                @lang('Login')
                                <i class="las la-sign-in-alt"></i>
                            </a>
                            @endguest

                            @auth
                            <a href="{{ route('user.logout') }}">
                                @lang('Log out')
                                <i class="las la-sign-in-alt"></i>
                            </a>
                            @endauth
                        </div>

                        <div class="lang_select_wrapper mr-10 ">
                            <select class="language-select">
                                <option value="default" hidden="">@lang('Language')</option>
                                @foreach($languages as $lang)
                                <option value="{{ $lang->code }}" @if(Session::get('lang')===$lang->code)
                                    selected @endif>{{ __($lang->name) }}</option>
                                @endforeach
                            </select>
                        </div>


                        <ul class="list-unstyled border-right">
                            @foreach($element as $key=>$item)
                            <li><a href="{{@$item->data_values->url}}"><i class="">@php echo ($item->data_values->social_icon); @endphp</i></a></li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-main-menu" id="sticky-header">
        <div class="container position-relative">
            <div class="row align-items-center">
                <div class="col-xl-3 col-lg-3 col-md-12">
                    <div class="logo_wrapper">
                        <div class="logo">
                            <a href="{{route('home')}}">
                                <img src="{{ getImage('assets/images/logoIcon/logo.png') }}" alt="">
                            </a>
                            <div class="mobile-nav"></div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-9 col-lg-9">
                    <div class="menu_wrapper">
                        <div class="main_menu">
                            <nav id="mobile-nav">
                                <ul>
                                    @guest
                                        <li><a class="{{ Request::routeIs('home') ? 'active' : '' }}" href="{{route('home')}}">@lang('Home')</a></li>
                                    @endguest
                                    @auth
                                        <li><a class="{{ Request::routeIs('user.home') ? 'active' : '' }}" href="{{route('user.home')}}">@lang('Dashboard')</a></li>
                                    @endauth
                                            
                                    @foreach($pages as $k => $data)
                                        @if($data->slug != 'home' && $data->slug != 'blog' && $data->slug != 'contact' && $data->slug != 'aboutus' && $data->slug != 'all-yachts')
                                        <li><a class="{{ Request::routeIs('pages',[$data->slug]) ? 'active' : '' }}" href="{{route('pages',[$data->slug])}}" data-hover="{{__($data->name)}}">{{__($data->name)}}</a></li>
                                        @endif
                                    @endforeach

                                    <li><a class="{{ Request::routeIs('allYachts') ? 'active' : '' }}" href="{{ route('allYachts') }}">@lang('Browse')</a></li>
                                    <li><a class="{{ Request::routeIs('aboutus') ? 'active' : '' }}" href="{{ route('aboutus') }}">@lang('About')</a></li>
                                    <li><a class="{{ Request::routeIs('blog') ? 'active' : '' }}" href="{{route('blog')}}">@lang('blog')</a></li>
                                    <li><a class="{{ Request::routeIs('contact') ? 'active' : '' }}" href="{{route('contact')}}">@lang('contact')</a></li>

                                    <li>
                                        <a href="{{route('allYachts')}}"

                                            class="theme_btn header_btn theme_btn_hover alt-color">
                                            @lang('Book Now')
                                            <span>
                                                <i class="las la-arrow-right"></i>
                                                <i class="las la-arrow-right"></i>
                                            </span>
                                            <b></b>
                                        </a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
