@php 
    $user = App\Models\User::findOrFail(auth()->user()->id);
@endphp

<div class="dashboard_profile_wrap text-center">


    <form name="myForm" id="myForm" action="{{ route('user.image.update')}}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="profile_photo">
            <img src="{{ getImage(getFilePath('userProfile').'/'.@$user->image,getFileSize('userProfile')) }}" alt="Profile">
            
        </div>
        <div class="photo_upload">
            <label for="image"><i class="fa-solid fa-pen"></i></label>
            <input class="upload_file" id="image" type="file" name="image" onchange="this.form.submit()" accept=".jpg,.png,.jpeg">
        </div>
        <h3 class="mt-2">{{ auth()->user()->fullname() }} </h3>
    </form>
</div>

<div class="dashboard_profile__details">
    <ul>
        <li>
            <a class="{{ Request::routeIs('user.home') ? 'active' : '' }}" href="{{route('user.home')}}">
                <i class="fa-solid fa-gauge"></i>@lang('Dashboard')
            </a>
        </li>
        <li>
            <a class="{{ Request::routeIs('user.profile.setting') ? 'active' : ''}}"  href="{{route('user.profile.setting')}}">
                <i class="fa fa-user"></i>@lang('Profile')
            </a>
        </li>

        <li>
            <a class="{{ Request::routeIs('user.booking.history') ? 'active' : '' }}" href="{{route('user.booking.history')}}">
                <i class="fa-solid fa-square-check"></i>@lang('Booking History')
            </a>
        </li>

        <li>
            <a class="{{ Request::routeIs('user.transactions') ? 'active' : '' }}" href="{{route('user.transactions')}}">
                <i class="fa-solid fa-money-bill-trend-up"></i>@lang('Transacrion History')
            </a>
        </li>


        <li>
            <a class="{{ Request::routeIs('user.deposit.history') ? 'active' : '' }}" href="{{route('user.deposit.history')}}">
                <i class="fa-solid fa-money-bill-transfer"></i>@lang('Deposit History')
            </a>
        </li>

        <li>
            <a class="{{ Request::routeIs('user.change.password') ? 'active' : ''}}" href="{{route('user.change.password')}}">
                <i class="fa fa-lock"></i>@lang('Change Password')
            </a>
        </li>
        <li>
            <a class="{{ Request::routeIs('ticket') ? 'active' : '' }}" href="{{route('ticket')}}">
            <i class="fa-solid fa-circle-check"></i>@lang('Tickets')
            </a>
        </li>
        <li>
            <a class="{{ Request::routeIs('user.twofactor') ? 'active' : '' }}" href="{{route('user.twofactor')}}">
                <i class="fa fa-lock"></i>@lang('Google Authenticatior')
            </a>
        </li>

        <li>
            <a class="text-danger" href="{{route('user.logout')}}">
                <i class="fas fa-sign-out-alt"></i>@lang('Log Out')
            </a>
        </li>
    </ul>
</div>

