@php
    $content = getContent('boat.content', true);

    if(request()->routeIs('home'))
    {
        $boats = App\Models\Boat::where('status', 1)->with('image', 'location')->inRandomOrder()->limit(3)->get();
    }else{
        $boats = App\Models\Boat::where('status', 1)->with('image', 'location')->orderBy('id', 'desc')->inRandomOrder()->limit(6)->get();
    }
@endphp



<!--=======-** Yachts Start **-=======-->
    <section class="yachts_area wrapper pt-100 pb-80 md-pt-60 md-pb-40">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-6">
                    <div class="section_title text-center  mb-30">
                        <h5>{{__(@$content->data_values->title)}}</h5>
                        <h3>{{__(@$content->data_values->heading)}}</h3>
                        <p class="mb-20">{{__(@$content->data_values->description)}}</p>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="row">
                    @foreach($boats as $key=>$data)
                        <div class="col-xl-4 col-lg-4 col-md-6">
                            <div class="yachts_wrap mb-30">
                                <div class="yachts_img">
                                    <a href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}">
                                        <img src="{{ getImage(getFilePath('boatImage').'/'.@$data->image[0]->image)}}" alt="">            
                                    </a>
                                </div>
                                <div class="yachts_content">
                                    <div class="meta_wrap">
                                        <span><i class="las la-map-marker"></i>@if(strlen(__(@$data->location->name)) >20)
                                            {{substr( __(@$data->location->name), 0,20).'...' }}
                                            @else
                                            {{__(@$data->location->name)}}
                                            @endif</span>
                                        <span>{{$general->cur_sym}}{{showAmount($data->price)}}@lang(' / Day')</span>
                                    </div>
                                    <div class="d-flex boat-attr">
                                        <span title="Passengers"><i class="las la-users"></i> {{$data->passengers}}</span>  
                                        <span title="Cabins"><i class="las la-store-alt ps-2"></i> {{$data->cabins}}</span> 
                                        <span title="Class"><i class="las la-anchor ps-2"></i> {{$data->class}}</span>
                                    </div>
                                    <a class="title" href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}"><h4>{{$data->name}}@lang(' | '){{$data->size}}@lang(' Feet')</h4></a>
                                    <p class="mb-25">{{ strLimit(strip_tags(@$data->description,120), 120) }}</p>
                                        <a href="{{ route('boat.details.singleView', [slug($data->name),$data->id])}}" class="theme_btn_sm theme_btn_hover alt-color">
                                        @lang('Boat Details')
                                        <span>
                                            <i class="las la-arrow-right"></i>
                                            <i class="las la-arrow-right"></i>
                                        </span>
                                        <b></b>
                                        </a>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
                <div class="row">
                    <div class="col text-center">
                        <a data-animation="fadeInUp" data-delay=".10s" href="{{ route('allYachts')}}"
                            class="theme_btn theme_btn_hover alt-color">@lang('Browse all')
                            <span>
                                <i class="las la-arrow-right"></i>
                                <i class="las la-arrow-right"></i>
                            </span>
                            <b></b>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
<!--=======-** Yachts End **-=======-->