
@php
    $content = getContent('book.content', true);
    $categories = App\Models\BoatCategory::where('status', 1)->get();
@endphp

    <section class="book_area wrapper bg-light angled upper-end lower-end pt-100 pb-80 md-pt-60 md-pb-40">
        <div class="container">
            <div class="row align-items-center justify-content-center">
                <div class="col-xl-6 col-lg-10">
                    <div class="section_title style_2 mb-30">
                        <h5 class="">{{__(@$content->data_values->title)}}</h5>
                        <h3>{{__(@$content->data_values->heading)}}</h3>
                        <p class="mb-20">{{__(@$content->data_values->descriptionone)}}</p>
                        <p class="mb-20">{{__(@$content->data_values->descriptiontwo)}}</p>
                        
                        <div class="service_left mb-30">
                            <img src="{{ getImage(getFilePath('book').'/'.'book/'.@$content->data_values->image)}}" alt="">
                        </div>
                        
                    </div>
                </div>
                <div class="col-xl-6 col-lg-10">
                    <div class="contact_wrap mb-30">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="section-title mb-5">
                                    <h2>@lang('Booking Request')</h2>
                                </div>
                            </div>
                        </div>
                        <form action="{{ route('bookingrequest') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="contact-box mb-35">
                                        <i class="las la-user-alt"></i>
                                        <input name='user_name'  class="contact-box__contact-home" type="text" value="@if(auth()->user()){{ auth()->user()->fullname() }} @else{{ old('name') }}@endif" placeholder="@lang('Your Full Name')">
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="contact-box mb-35">
                                        <i class="las la-person-booth"></i>
                                            <input name="passenger" class="contact-box__contact-home" type="text" placeholder="@lang('Number of People')">
                                    </div>
                                </div>
                                <div class="col-xl-6"> 
                                    <div class="contact-box date mb-35" id="datepicker_from">
                                        <i class="las la-calendar"></i>
                                        <input name="from_date" data-provide="datepicker" class="contact-box__contact-home" placeholder="Date From" id="datepicker_from1">
                                    </div>
                                </div>
                                <div class="col-xl-6"> 
                                    <div class="contact-box date mb-35" id="datepicker_to">
                                        <i class="las la-calendar"></i>
                                        <input name="to_date" data-provide="datepicker" class="contact-box__contact-home" placeholder="Date To" id="datepicker_to1">
                                    </div>
                                </div>


                                <div class="col-xl-12"> 
                                    <div class="nice_select_wrapper mb-30 style_1">
                                        <select name="category">
                                            @foreach($categories as $data)
                                            <option  value="{{$data->id}}">{{$data->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="contact-box mb-35">
                                        <i class="las la-envelope"></i>
                                            <input name="email" class="contact-box__contact-home" type="email" placeholder="Email Address" value="@if(auth()->user()){{ auth()->user()->email }}@else{{  old('email') }}@endif" @if(auth()->user()) readonly @endif required>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="contact-box mb-35">
                                        <i class="las la-phone"></i>
                                        <input name="phone" class="contact-box__contact-home" type="number" placeholder="Phone Number" value="@if(auth()->user()){{ auth()->user()->mobile }}@else{{  old('phone') }}@endif" @if(auth()->user()) readonly @endif required>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="contact-box mb-35">
                                        <i class="las la-sms"></i>
                                        <textarea class="contact-box__contact-home text-area" name="message" cols="30" rows="10" placeholder="Write Your Messege"></textarea>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <button class="theme_btn_sm theme_btn_hover alt-color">@lang('Submit Request')
                                        <span>
                                            <i class="las la-arrow-right"></i>
                                            <i class="las la-arrow-right"></i>
                                        </span>
                                        <b></b>
                                        </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=======-** Book Now End **-=======-->



