@php
    $content = getContent('location.content', true);
    $element = getContent('location.element', false, 3);

    $locations = App\Models\Location::where('status', 1)->with('image')->inRandomOrder()->limit(6)->get();
@endphp

<!--=======-** Location Start **-=======-->
<section class="location_area pt-100 pb-80 md-pt-60 md-pb-40">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-6 col-lg-6">
                <div class="section_title text-center mb-30">
                    <h5 class="">{{__(@$content->data_values->title)}}</h5>
                    <h3>{{__(@$content->data_values->heading)}}</h3>
                    <p class="mb-20"> {{__(@$content->data_values->description)}}</p>
                </div>
            </div>
        </div>
        <div class="row justify-content-center">
            @foreach( $locations as $key=>$item)
            <div class="col-xl-4 col-lg-4 col-md-6">
                <div class="location_wrap mb-30">
                    <div class="thumb">
                        <img src="{{ getImage(getFilePath('locationImage').'/'.@$item->image->image)}}" alt="">
                        <div class="content">
                            <h3><a href="{{ route('location.boats', [slug(@$item->name),$item->id]) }}">{{@$item->name}}</a></h3>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</section>
<!--=======-** Location End **-=======-->

