@extends($activeTemplate.'layouts.frontend')

@section('content')

<!--=======-**  Login Start **-=======-->
<section class="login_area login_bg pt-70 pb-80 md-pt-50 md-pb-50" >
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-5 col-md-8">
                <div class="login_wrapper">

                    <h3 class="loging_text mb-20 text-center">@lang('Sign In')</h3>

                    <div class="modal_body_wrapper">

                        <form method="POST" action="{{ route('user.login') }}" class="verify-gcaptcha">
                            @csrf
                            <div class="form-group profile mb-15">
                                <label for="email">@lang('Username or Email Address')  </label>
                                <div class="single-input">
                                    <input id="email" name="username" value="{{ old('username') }}" placeholder="@lang('Username or Email Address')" required="">
                                    <i class="fa-regular fa-user"></i>
                                </div>
                            </div>

                            <div class="form-group profile mb-25">
                                <label for="inputSelect">@lang('Password')</label>
                                <div class="single-input">
                                    <input id="inputSelect" type="password" name="password" placeholder="@lang('Password')"required>
                                    <span class="eye_icon_show"><i class="fa fa-lock" toggle="#inputSelect"></i></span>
                                </div>
                            </div>


                            <div class="login_bottom mb-15">
                                <div class="checkbox style3">
                                    <div class="single_check mb-10">
                                            <input type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                            <label for="remember">
                                            @lang('Remember Me')
                                            </label>
                                    </div>
                                </div>
                                <a href="{{ route('user.password.request') }}" class="link style1">@lang('Forgot Password?')</a>
                            </div>
                            <x-captcha></x-captcha>
                            <button type="submit"   class="theme_btn_sm theme_btn_hover alt-color mb-15">
                             @lang('Login Now')
                                <span>
                                    <i class="las la-arrow-right"></i>
                                    <i class="las la-arrow-right"></i>
                                </span>
                                <b></b>
                            </button>
                            <div class="register_bottom mb-15">
                                <p class='regis_btn' >
                                    @lang("Don't have an account ?")
                                    <a href="{{ route('user.register') }}">@lang('Sign up now !')</a>
                                </p>
                               
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--=======-**  Login End **-=======-->
@endsection