@extends($activeTemplate.'layouts.frontend')
@section('content')
{{-- <div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8 col-lg-7 col-xl-5">
            <div class="text-end">
                <a href="{{ route('home') }}" class="fw-bold home-link"> <i class="las la-long-arrow-alt-left"></i>
                    @lang('Go to Home')</a>
            </div>
            <div class="card custom--card">
                <div class="card-header">
                    <h5 class="card-title">@lang('Reset Password')</h5>
                </div>
                <div class="card-body">
                    <div class="mb-4">
                        <p>@lang('Your account is verified successfully. Now you can change your password. Please enter
                            a strong password and don\'t share it with anyone.')</p>
                    </div>
                    <form method="POST" action="{{ route('user.password.update') }}">
                        @csrf
                        <input type="hidden" name="email" value="{{ $email }}">
                        <input type="hidden" name="token" value="{{ $token }}">
                        <div class="form-group">
                            <label class="form-label">@lang('Password')</label>
                            <input type="password" class="form-control form--control" name="password" required>
                            @if($general->secure_password)
                            <div class="input-popup">
                                <p class="error lower">@lang('1 small letter minimum')</p>
                                <p class="error capital">@lang('1 capital letter minimum')</p>
                                <p class="error number">@lang('1 number minimum')</p>
                                <p class="error special">@lang('1 special character minimum')</p>
                                <p class="error minimum">@lang('6 character password')</p>
                            </div>
                            @endif
                        </div>
                        <div class="form-group">
                            <label class="form-label">@lang('Confirm Password')</label>
                            <input type="password" class="form-control form--control" name="password_confirmation"
                                required>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn--base w-100"> @lang('Save')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div> --}}

<section class="login_area login_bg pt-90 pb-90 md-pt-50 md-pb-50" >
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-5 col-lg-5 col-md-8">
                <div class="login_wrapper">

                    <h3 class="loging_text mb-20 text-center">@lang('Reset Password')</h3>

                    <div class="modal_body_wrapper">
                        <div class="mb-4">
                            <p class="loging_text mb-20">@lang('Your account is verified successfully. Now you can change your password. Please enter
                                a strong password and don\'t share it with anyone.')</p>
                        </div>
                        <form method="POST" action="{{ route('user.password.update') }}">
                           @csrf 
                           <input type="hidden" name="email" value="{{ $email }}">
                           <input type="hidden" name="token" value="{{ $token }}">



                           <div class="form-group profile mb-15">
                            <label for="new_pass">@lang('New Password')</label>
                            <div class="single-input">
                                <input placeholder="@lang('New Password')" id="new_pass" type="password" name="password" required>
                                <span class="eye_icon_show" rel="#new_pass">
                                    <i class="fa fa-lock" toggle="#new_pass"></i>
                                </span>
                                @if($general->secure_password)
                                <div class="input-popup">
                                    <p class="error lower">@lang('1 small letter minimum')</p>
                                    <p class="error capital">@lang('1 capital letter minimum')</p>
                                    <p class="error number">@lang('1 number minimum')</p>
                                    <p class="error special">@lang('1 special character minimum')</p>
                                    <p class="error minimum">@lang('6 character password')</p>
                                </div>
                                @endif
                            </div>
                        </div>
                        <div class="form-group profile mb-25">
                            <label for="again_new_pass">@lang('Confirm Password')</label>
                            <div class="single-input">
                                <input placeholder="@lang('Confirm Password')" id="again_new_pass" type="password" name="password_confirmation" required>
                                <span class="eye_icon_show" rel="#again_new_pass">
                                    <i class="fa fa-lock" toggle="#again_new_pass"></i>
                                </span>
                                
                            </div>
                        </div>

                        <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mb-15">
                            @lang('Submit') 
                            <span>
                                <i class="las la-arrow-right"></i>
                                <i class="las la-arrow-right"></i>
                            </span>
                            <b></b>
                        </button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('script-lib')
<script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
@endpush
@push('script')
<script>
    (function ($) {
        "use strict";
        @if ($general->secure_password)
            $('input[name=password]').on('input', function () {
                secure_password($(this));
            });

        $('[name=password]').focus(function () {
            $(this).closest('.form-group').addClass('hover-input-popup');
        });

        $('[name=password]').focusout(function () {
            $(this).closest('.form-group').removeClass('hover-input-popup');
        });
        @endif
    })(jQuery);
</script>
@endpush