@extends($activeTemplate . 'layouts.frontend')
@section('content')
    @php
        $policyPages = getContent('policy_pages.element', false, null, true);
    @endphp
    
    <div class="modal fade" id="existModalCenter" tabindex="-1" role="dialog" aria-labelledby="existModalCenterTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="existModalLongTitle">@lang('You are with us')</h5>
                    <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </span>
                </div>
                <div class="modal-body">
                    <h6 class="text-center">@lang('You already have an account please Login ')</h6>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark btn-sm"
                        data-bs-dismiss="modal">@lang('Close')</button>
                    <a href="{{ route('user.login') }}" class="btn btn--base btn-sm">@lang('Login')</a>
                </div>
            </div>
        </div>
    </div>



    <!--=======-**  Registration Start **-=======-->
    <section class="login_area login_bg pt-70 pb-80 md-pt-50 md-pb-50">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-10">
                    <form action="{{ route('user.register') }}" method="POST" class="verify-gcaptcha">
                        @csrf
                        <div class="register_wrapper">
                            <h4 class="loging_text mb-20">@lang('Register')</h4>

                            <div class="form-group profile mb-15">
                                <label for="first_name">@lang('Username') </label>
                                <div class="single-input">
                                    <input placeholder="@lang('Username')" id="first_name" type="text" name="username"
                                        value="{{ old('username') }}" required>
                                    <i class="fa-regular fa-user"></i>
                                    <small class="text-danger usernameExist"></small>
                                </div>
                            </div>

                            <div class="form-group profile mb-25">
                                <label for="email">@lang('E-Mail Address')</label>
                                <div class="single-input">
                                    <input placeholder="Email " id="email" name="email"
                                        value="{{ old('email') }}" required>
                                    <i class="fa-solid fa-envelope"></i>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-12">
                                    <div class="form-group profile mb-25">
                                        <label>@lang('Country')</label>
                                        <select name="country" class="form-control form--control custom_country">
                                            @foreach ($countries as $key => $country)
                                                <option data-mobile_code="{{ $country->dial_code }}"
                                                    value="{{ $country->country }}" data-code="{{ $key }}">
                                                    {{ __($country->country) }}</option>
                                            @endforeach
                                            <i class="fa-solid fa-envelope"></i>
                                        </select>  
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-12">
                                    <div class="form-group profile mb-25">
                                        <label>@lang('Mobile')</label>
                                        <div class="input-group custom_mobile">
                                            <span class="input-group-text mobile-code">
    
                                            </span>
                                            <input style="height: 54px;" type="hidden" name="mobile_code">
                                            <input style="height: 54px;" type="hidden" name="country_code">
                                            <input type="number" name="mobile" value="{{ old('mobile') }}"
                                                class="form-control form--control checkUser" required>
                                        </div>
                                        <small class="text-danger mobileExist"></small>
                                    </div>
                                </div>
                            </div>





                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-12">
                                    <div class="form-group profile mb-25">
                                        <label for="password">@lang('Password') </label>
                                        <div class="single-input">
                                            <input type="password" id="password" placeholder="Password " name="password"
                                                required>
                                            <span class="eye_icon_show" rel="#password">
                                                <i class="fa fa-lock" toggle="#password"></i>
                                            </span>
                                            @if ($general->secure_password)
                                                <div class="input-popup">
                                                    <p class="error lower">@lang('1 small letter minimum')</p>
                                                    <p class="error capital">@lang('1 capital letter minimum')</p>
                                                    <p class="error number">@lang('1 number minimum')</p>
                                                    <p class="error special">@lang('1 special character minimum')</p>
                                                    <p class="error minimum">@lang('6 character password')</p>
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-6 col-md-6 col-sm-12">
                                    <div class="form-group profile mb-25">
                                        <label for="password_con">@lang('Confirm Password') </label>
                                        <div class="single-input">
                                            <input id="password_con" type="password" placeholder="Password "
                                                name="password_confirmation" required>
                                            <span class="eye_icon_show" rel="#password_con">
                                                <i class="fa fa-lock" toggle="#password_con"></i>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            @if($general->agree)
                           
                            <div class="checkbox_wrap mb-15">
                                <div class="single_check">
                                    <input type="checkbox" id="agree" @checked(old('agree')) name="agree"
                                        required>
                                    <label for="agree">
                                        @lang('I agree with') @foreach ($policyPages as $policy)
                                            <a class="link style1"
                                                href="{{ route('policy.pages', [slug($policy->data_values->title), $policy->id]) }}">{{ __($policy->data_values->title) }}</a>
                                            @if(!$loop->last)
                                                ,
                                            @endif
                                        @endforeach
                                    </label>

                                </div>
                            </div>
                            @endif


                            <x-captcha></x-captcha>
                            <button type="submit" class="theme_btn theme_btn_hover alt-color mb-15">
                                @lang('Register Now')
                                <span>
                                    <i class="las la-arrow-right"></i>
                                    <i class="las la-arrow-right"></i>
                                </span>
                                <b></b>
                            </button>

                            <div class="register_bottom mb-15">
                                <p class='regis_btn' >
                                    @lang("Already have an account?")
                                    <a href="{{ route('user.login') }}">@lang('Sign In')</a>
                                </p>
                               
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </section>
    <!--=======-**  Registration End **-=======-->









@endsection
@push('style')
    <style>
        .country-code .input-group-text {
            background: #fff !important;
        }

        .country-code select {
            border: none;
        }

        .country-code select:focus {
            border: none;
            outline: none;
        }
        .input-group-text-register{
            border-radius: 5px;
            background: #f5f7fb;
            height: 54px;
            padding: 10px 40px 10px 15px;
            border: 1px solid rgba(0, 0, 0, 0.1);
            transition: all 0.3s ease-in-out;
        }
        .input-group{
            height: 54px !important;
            background: #f5f7fb !important;
        }

    </style>
@endpush
@push('script-lib')
    <script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
    <script src="{{asset('assets/global/js/bootstrap.bundle.min.js')}}"></script>
    <link href="{{ asset('assets/global/css/all.min.css') }}" rel="stylesheet">
@endpush



@push('script')
    <script>
      "use strict";
        (function ($) {
            @if($mobileCode)
            $(`option[data-code={{ $mobileCode }}]`).attr('selected','');
            @endif
            $('select[name=country]').change(function(){
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+'+$('select[name=country] :selected').data('mobile_code'));
            });
            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+'+$('select[name=country] :selected').data('mobile_code'));
            @if($general->secure_password)
                $('input[name=password]').on('input',function(){
                    secure_password($(this));
                });
                $('[name=password]').focus(function () {
                    $(this).closest('.form-group').addClass('hover-input-popup');
                });
                $('[name=password]').focusout(function () {
                    $(this).closest('.form-group').removeClass('hover-input-popup');
                });
            @endif
            $('.checkUser').on('focusout',function(e){
                var url = '{{ route('user.checkUser') }}';
                var value = $(this).val();
                var token = '{{ csrf_token() }}';
                if ($(this).attr('name') == 'mobile') {
                    var mobile = `${$('.mobile-code').text().substr(1)}${value}`;
                    var data = {mobile:mobile,_token:token}
                }
                if ($(this).attr('name') == 'email') {
                    var data = {email:value,_token:token}
                }
                if ($(this).attr('name') == 'username') {
                    var data = {username:value,_token:token}
                }
                $.post(url,data,function(response) {
                  if (response.data != false && response.type == 'email') {
                    $('#existModalCenter').modal('show');
                  }else if(response.data != false){
                    $(`.${response.type}Exist`).text(`${response.type} already exist`);
                  }else{
                    $(`.${response.type}Exist`).text('');
                  }
                });
            });
        })(jQuery);
    </script>
@endpush
