@extends($activeTemplate.'layouts.master')
@section('content')
<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">
            <h3 class="loging_text mb-20 text-center">@lang('Booking History')</h3>
            <div class="modal_body_wrapper">
         
                    <table class="table custom--table table-striped table-hover" id="table_res">
                        <thead>
                            <tr class="bg_color text-white">
                                <th>@lang('S.L')</th>
                                <th>@lang('Boat Name')</th>
                                <th>@lang('Location Name')</th>
                                <th>@lang('From Date')</th>
                                <th>@lang('To Date')</th>
                                <th>@lang('Price')</th>
                                <th>@lang('status')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($bookings as $key=>$data)
                            <tr>
                                <td>
                                    <strong>{{ $key+1 }}</strong>
                                </td>
                                <td>
                                    {{$data->boat_name}}
                                </td>
                                <td>
                                    {{$data->getLocation->name}}
                                </td>

                                <td>
                                    {{ Carbon\Carbon::parse($data->from_date)->format('Y-m-d') }}
                                </td>
                                <td>
                                    {{ Carbon\Carbon::parse($data->to_date)->format('Y-m-d') }}
                                </td>

                                <td class="budget">
                                    {{ showAmount($data->price) }} {{ __($general->cur_text) }}
                                </td>


                                <td>
                                    @php echo $data->badgeData($data->status) @endphp
                                </td>
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
            
                @if($bookings->hasPages())
         
                    <div class="my-pagination">
                        {{ $bookings->links() }}
                    </div>
                    
        
                @endif
            </div>
        </div>
</div>

@endsection