@extends($activeTemplate.'layouts.master')
@section('content')

<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">
        <h4 class="title mb-4">@lang('Dashboard')</h4>
        <div class="dashboard_body">    
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-12">
                    <div class="dashboard_item dash_color_1 mb-30">
                        <a href="{{ route('user.booking.history') }}">
                            <div class="info">
                                <h6 class="number">{{ $userCurrentJourney }}</h6>
                                <p class="type ml-1"><a href="{{ route('user.booking.history') }}">@lang('Current Journey')</a></p>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12">
                    <div class="dashboard_item dash_color_2 mb-30">
                        <a href="{{ route('user.booking.history') }}">
                            <div class="info">
                                <h6 class="number">{{ $userUpcommingJourney }}</h6>
                                <p class="type ml-1"><a href="{{ route('user.booking.history') }}">@lang('Upcomming Journey')</a></p>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12">
                    <div class="dashboard_item dash_color_3 mb-30">
                        <a href="{{ route('user.booking.history') }}">
                            <div class="info">
                                <h6 class="number">{{ $userPreviousJourney }}</h6>
                                <p class="type ml-1"><a href="{{ route('user.booking.history') }}">@lang('Previour Journey')</a></p>
                            </div>
                        <a href="{{ route('user.booking.history') }}">
                    </div>
                </div>
            </div>
    
    
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">{{auth()->user()->fullname()}}@lang("'s") @lang('Booking Report')</h5>
                            <div id="booking-chart"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection




@push('script')

<script src="{{asset('assets/admin/js/vendor/apexcharts.min.js')}}"></script>

<script>
    "use strict";

    // Booking Report
    (function () {
        var options = {
            series: [{
                name: "Booking Price",
                data: @json($userBookingReport['values'])
    }],
    chart: {
        height: '310px',
            type: 'area',
                zoom: {
            enabled: false
        }
    },
    dataLabels: {
        enabled: false
    },
    stroke: {
        curve: 'smooth'
    },
    colors: ['#108ce6'],
        labels: @json($userBookingReport['labels']),
    xaxis: {
        type: 'date',
            },
    yaxis: {
        opposite: true
    },
    legend: {
        horizontalAlign: 'left'
    }
        };

    var chart = new ApexCharts(document.querySelector("#booking-chart"), options);
    chart.render();
    }) ();

</script>
@endpush
