@extends($activeTemplate.'layouts.master')
@section('content')
<div class="dashboard_wrap mt-30">
    <div class="row justify-content-center">
        <div class="login_wrapper">
            <h3 class="loging_text mb-20 text-center">@lang('Deposit History')</h3>
            <div class="modal_body_wrapper">

                <div class="row">
                    <div class="table-responsive">
                        <table class="table custom--table table-striped table-hover" id="table_res">
                            <thead>
                                <tr class="bg_color text-white">
                                    <th>@lang('Gateway')</th>
                                    <th class="text-center">@lang('Initiated')</th>
                                    <th class="text-center">@lang('Amount')</th>
                                    {{-- <th class="text-center">@lang('Conversion')</th> --}}
                                    <th class="text-center">@lang('Status')</th>
                                    <th>@lang('Details')</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($deposits as $deposit)
                                <tr>
                                    <td>
                                        <span class="fw-bold"> <span class="text-primary">{{
                                                __($deposit->gateway?->name) }}</span> </span>

                                    </td>

                                    <td class="text-center">
                                    
                                        <span>{{ $deposit->created_at->format('d') }}
                                            {{ $deposit->created_at->format('M') }}
                                                {{ $deposit->created_at->format('Y') }}
                                                {{ $deposit->created_at->format('H:s A') }}
                                            </span>
                                    </td>
                                    <td class="text-center">
                       
                             
                                        <strong title="@lang('Amount with charge')">
                                            {{ showAmount($deposit->amount+$deposit->charge) }} {{
                                            __($general->cur_text) }}
                                        </strong>
                                    </td>
                                    {{-- <td class="text-center">
                                        1 {{ __($general->cur_text) }} = {{ showAmount($deposit->rate) }}
                                        {{__($deposit->method_currency)}}
                                        <br>
                                        <strong>{{ showAmount($deposit->final_amo) }}
                                            {{__($deposit->method_currency)}}</strong>
                                    </td> --}}
                                    <td class="text-center">
                                        @php echo $deposit->statusBadge @endphp
                                    </td>
                                    @php
                                    $details = ($deposit->detail != null) ? json_encode($deposit->detail) : null;
                                    @endphp

                                    <td>
                                        <a href="javascript:void(0)"
                                            class="btn ticket_view_btn btn-sm @if($deposit->method_code >= 1000) detailBtn @else disabled @endif"
                                            @if($deposit->method_code >= 1000)
                                            data-info="{{ $details }}"
                                            @endif
                                            @if ($deposit->status == 3)
                                            data-admin_feedback="{{ $deposit->admin_feedback }}"
                                            @endif
                                            >
                                            <i class="fa fa-eye"></i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td colspan="100%" class="text-center">{{ __($emptyMessage) }}</td>
                                </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                    @if($deposits->hasPages())
                    <div class="row ">
                        <div class="my-pagination">
                            {{ $deposits->links() }}
                        </div>
                    </div>
                    @endif

                </div>
            </div>
        </div>
    </div>
</div>

{{-- APPROVE MODAL --}}
<div id="detailModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@lang('Details')</h5>
                <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </span>
            </div>
            <div class="modal-body">
                <ul class="list-group userData mb-2">
                </ul>
                <div class="feedback text-black"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark text-light btn-sm" data-bs-dismiss="modal">@lang('Close')</button>
            </div>
        </div>
    </div>
</div>

@endsection


@push('script')
<script>
    (function ($) {
        "use strict";
        $('.detailBtn').on('click', function () {
            var modal = $('#detailModal');

            var userData = $(this).data('info');
            var html = '';
            if (userData) {
                userData.forEach(element => {
                    if (element.type != 'file') {
                        html += `
                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <span>${element.name}</span>
                                <span">${element.value}</span>
                            </li>`;
                    }
                });
            }

            modal.find('.userData').html(html);

            if ($(this).data('admin_feedback') != undefined) {
                var adminFeedback = `
                        <div class="my-3">
                            <strong>@lang('Admin Feedback')</strong>
                            <p>${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
            } else {
                var adminFeedback = '';
            }

            modal.find('.feedback').html(adminFeedback);


            modal.modal('show');
        });
    })(jQuery);

</script>
@endpush