@extends($activeTemplate.'layouts.master')

@section('content')

<!--=======-**  Dashboard Start **-=======-->
<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">     
        <h4 class="loging_text mb-25 text-center">@lang('Change Password')</h4>
        <div class="dashboard_body">
            <form action="" method="post">
                @csrf

                    <div class="form-group profile mb-15">
                        <label for="old_pass">@lang('Old Password')</label>
                        <div class="single-input">
                            <input placeholder="@lang('Old Password')" id="old_pass" type="password" name="current_password" required autocomplete="current-password">
                            <span  class="eye_icon_show" toggle="#old_pass">
                                <i class="fa fa-lock"></i>
                            </span>
                        </div>
                    </div>
                    <div class="form-group profile mb-15">
                        <label for="new_pass">@lang('New Password')</label>
                        <div class="single-input">
                            <input placeholder="@lang('New Password')" id="new_pass" type="password" name="password" required autocomplete="current-password">
                            <span class="eye_icon_show" toggle="#new_pass">
                                <i class="fa fa-lock"></i>
                            </span>
                            @if($general->secure_password)
                            <div class="input-popup">
                                <p class="error lower">@lang('1 small letter minimum')</p>
                                <p class="error capital">@lang('1 capital letter minimum')</p>
                                <p class="error number">@lang('1 number minimum')</p>
                                <p class="error special">@lang('1 special character minimum')</p>
                                <p class="error minimum">@lang('6 character password')</p>
                            </div>
                            @endif
                        </div>
                    </div>
                    <div class="form-group profile mb-25">
                        <label for="again_new_pass">@lang('Confirm Password')</label>
                        <div class="single-input">
                            <input placeholder="@lang('Confirm Password')" id="again_new_pass" type="password" name="password_confirmation" required autocomplete="current-password">
                            <span class="eye_icon_show" toggle="#again_new_pass">
                                <i class="fa fa-lock"></i>
                            </span>
                            
                        </div>
                    </div>
                    <div class="text-end mb-15">
                        <button class="theme_btn_sm theme_btn_hover alt-color" type="submit">
                            @lang('Submit')
                            <span>
                                <i class="las la-arrow-right"></i>
                                <i class="las la-arrow-right"></i>
                            </span>
                            <b></b>
                        </button>
                    </div>

            </form>
        </div>
    </div>
</div>
<!--=======-**  Dashboard End **-=======-->






@endsection
@push('script-lib')
<script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
@endpush
@push('script')
<script>
    (function ($) {
        "use strict";
        @if ($general -> secure_password)
            $('input[name=password]').on('input', function () {
                secure_password($(this));
            });

        $('[name=password]').focus(function () {
            $(this).closest('.form-group').addClass('hover-input-popup');
        });

        $('[name=password]').focusout(function () {
            $(this).closest('.form-group').removeClass('hover-input-popup');
        });

        @endif
    })(jQuery);
</script>
@endpush