@extends($activeTemplate.'layouts.master')

@section('content')

<div class="dashboard_wrap">
    <div class="login_wrapper mt-30">

        <h3 class="loging_text mb-20 text-center">@lang('Flutterwave')</h3>

        <div class="modal_body_wrapper">
            <ul class=" text-center">
                <li class=" d-flex justify-content-between mb-10">
                    @lang('You have to pay '):
                    <strong>{{showAmount($deposit->final_amo)}} {{__($deposit->method_currency)}}</strong>
                </li>
                <li class=" d-flex justify-content-between mb-10">
                    @lang('You will get '):
                    <strong>{{showAmount($deposit->amount)}}  {{__($general->cur_text)}}</strong>
                </li>
            </ul>

            <button type="button" id="btn-confirm" onClick="payWithRave()"   class="theme_btn_sm theme_btn_hover alt-color mt-15 mb-15">
                @lang('Pay Now')
                   <span>
                       <i class="las la-arrow-right"></i>
                       <i class="las la-arrow-right"></i>
                   </span>
                   <b></b>
            </button>

        </div>
    </div>
</div>




</section>



@endsection
@push('script')
    <script src="https://api.ravepay.co/flwv3-pug/getpaidx/api/flwpbf-inline.js"></script>
    <script>
        "use strict"
        var btn = document.querySelector("#btn-confirm");
        btn.setAttribute("type", "button");
        const API_publicKey = "{{$data->API_publicKey}}";
        function payWithRave() {
            var x = getpaidSetup({
                PBFPubKey: API_publicKey,
                customer_email: "{{$data->customer_email}}",
                amount: "{{$data->amount }}",
                customer_phone: "{{$data->customer_phone}}",
                currency: "{{$data->currency}}",
                txref: "{{$data->txref}}",
                onclose: function () {
                },
                callback: function (response) {
                    var txref = response.tx.txRef;
                    var status = response.tx.status;
                    var chargeResponse = response.tx.chargeResponseCode;
                    if (chargeResponse == "00" || chargeResponse == "0") {
                        window.location = '{{ url('ipn/flutterwave') }}/' + txref + '/' + status;
                    } else {
                        window.location = '{{ url('ipn/flutterwave') }}/' + txref + '/' + status;
                    }
                        // x.close(); // use this to close the modal immediately after payment.
                    }
                });
        }
    </script>
@endpush
