@extends($activeTemplate.'layouts.master')
@section('content')

<div class="dashboard_wrap">
    <div class="login_wrapper">

        <h3 class="loging_text mb-20 text-center">@lang('Stripe Hosted')</h3>
    
        <div class="modal_body_wrapper">
            <form role="form" id="payment-form" method="{{$data->method}}" action="{{$data->url}}">
                @csrf
                <input type="hidden" value="{{$data->track}}" name="track">
                <div class="row">
                    <div class="col-md-6">
                        <div class="from-group profile">
                            <label class="form-label">@lang('Name on Card')</label>
                            <div class="input-group">
                                <input type="text" class="form-control form--control" name="name"
                                    value="{{ old('name') }}" required autocomplete="off" autofocus />
                                <span class="input-group-text"><i class="fa fa-font"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="from-group profile">
                            <label class="form-label">@lang('Card Number')</label>
                            <div class="input-group">
                                <input type="tel" class="form-control form--control" name="cardNumber"
                                    autocomplete="off" value="{{ old('cardNumber') }}" required autofocus />
                                <span class="input-group-text"><i class="fa fa-credit-card"></i></span>
                            </div>            
                        </div>
                    </div>
                </div>
    
                <div class="row mt-4">
                    <div class="col-md-6">
                        <div class="from-group profile">
                            <label class="form-label">@lang('Expiration Date')</label>
                            <input type="tel" class="form-control form--control" name="cardExpiry"
                                value="{{ old('cardExpiry') }}" autocomplete="off" required />
                            
                        </div>
                    </div>
                    <div class="col-md-6 ">
                        <div class="from-group profile">
                            <label class="form-label">@lang('CVC Code')</label>
                            <input type="tel" class="form-control form--control" name="cardCVC"
                                value="{{ old('cardCVC') }}" autocomplete="off" required />
                            
                        </div>
                    </div>
                </div>
                <br>
                <button type="submit"   class="theme_btn theme_btn_hover alt-color mb-15 mt-15">
                    @lang('Pay Now')
                       <span>
                           <i class="las la-arrow-right"></i>
                           <i class="las la-arrow-right"></i>
                       </span>
                       <b></b>
                   </button>
            </form>
        </div>
    </div>
</div>



@endsection


@push('script')
<script src="{{ asset('assets/global/js/card.js') }}"></script>

<script>
    (function ($) {
        "use strict";
        var card = new Card({
            form: '#payment-form',
            container: '.card-wrapper',
            formSelectors: {
                numberInput: 'input[name="cardNumber"]',
                expiryInput: 'input[name="cardExpiry"]',
                cvcInput: 'input[name="cardCVC"]',
                nameInput: 'input[name="name"]'
            }
        });
    })(jQuery);
</script>
@endpush