@extends($activeTemplate.'layouts.master')
@section('content')
<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">
            <div class=" text-end mb-30">      
                <a href="{{route('ticket') }}" class="theme_btn_sm theme_btn_hover alt-color"> @lang('My Support Ticket')
                    <span>
                        <i class="las la-arrow-right"></i>
                        <i class="las la-arrow-right"></i>
                    </span>
                    <b></b>
                </a>

            </div>

                <h3 class="loging_text mb-20 ps-3">{{ __($pageTitle) }}</h3>

                <div class="card-body">
                    <form action="{{route('ticket.store')}}" method="post" enctype="multipart/form-data"
                        onsubmit="return submitUserForm();">
                        @csrf
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group profile mb-25">
                                    <label for="first_name">@lang('Name')</label>
                                    <div class="single-input">
                                        <input  id="first_name" type="text" name="name" value="{{@$user->firstname . ' '.@$user->lastname}}" required="" readonly>
                                        <i class="fa-regular fa-user"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group profile mb-25">
                                    <label for="email">@lang('Email Address')</label>
                                    <div class="single-input">
                                        <input id="email" type="email" name="email" value="{{@$user->email}}" required="" readonly>
                                        <i class="fa-solid fa-envelope"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group profile mb-25">
                                    <label for="subject">@lang('Subject')</label>
                                    <div class="single-input">
                                        <input id="subject" type="text" name="subject" value="{{old('subject')}}" required="">
                                        <i class="fa-solid fa-receipt"></i>
                                    </div>
                                </div>
                            </div>


                            <div class="form-group profile col-md-6">
                                <label class="form-label">@lang('Priority')</label>
                                <select name="priority" class="form-control form--control " required>
                                    <option value="3">@lang('High')</option>
                                    <option value="2">@lang('Medium')</option>
                                    <option value="1">@lang('Low')</option>
                                </select>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group profile mb-20">
                                    <label for="inputMessage">@lang('Message')</label>
                                    <div class="single-input text_area">
                                        <textarea id="inputMessage" cols="30" rows="10"  name="message" required>{{old('message')}}</textarea>
                                        <i class="fa-solid fa-address-book"></i>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="form-group">
                            <div class="text-end">
                                <button type="button" class="btn ticket_view_btn btn-sm addFile">
                                    <i class="fa fa-plus"></i>
                                </button>
                            </div>
                            <div class="file-upload">
                                <label class="form-label">@lang('Attachments')</label> <small
                                    class="text-danger">@lang('Max 5 files can be uploaded'). @lang('Maximum upload size
                                    is') {{ ini_get('upload_max_filesize') }}</small>
                                <input type="file" name="attachments[]" id="inputAttachments"
                                    class="form-control form--control mb-2" />
                                <div id="fileUploadsContainer"></div>
                                <p class="ticket-attachments-message text-muted">
                                    @lang('Allowed File Extensions'): .@lang('jpg'), .@lang('jpeg'), .@lang('png'),
                                    .@lang('pdf'), .@lang('doc'), .@lang('docx')
                                </p>
                            </div>

                        </div>

                        <div class="form-group text-end">
                            <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mt-30 text-end" id="recaptcha"> @lang('Submit')
                                <span>
                                    <i class="las la-arrow-right"></i>
                                    <i class="las la-arrow-right"></i>
                                </span>
                                <b></b>
                            </button>
                        </div>
                    </form>
                </div>

        </div>
    </div>

@endsection

@push('style')
<style>
    .input-group-text:focus {
        box-shadow: none !important;
    }
</style>
@endpush

@push('script')
<script>
    (function ($) {
        "use strict";
        var fileAdded = 0;
        $('.addFile').on('click', function () {
            if (fileAdded >= 4) {
                notify('error', 'You\'ve added maximum number of file');
                return false;
            }
            fileAdded++;
            $("#fileUploadsContainer").append(`
                    <div class="input-group my-3">
                        <input type="file" name="attachments[]" class="form-control form--control" required />
                        <button class="input-group-text btn-danger remove-btn text-white"><i class="las la-times"></i></button>
                    </div>
                `)
        });
        $(document).on('click', '.remove-btn', function () {
            fileAdded--;
            $(this).closest('.input-group').remove();
        });
    })(jQuery);
</script>
@endpush