@extends($activeTemplate.'layouts.master')
@section('content')
<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">
            <div class="col-md-12">
                <div class="text-end">
                    <a href="{{route('ticket.open') }}" class="theme_btn_sm theme_btn_hover alt-color mb-20"> @lang('New Ticket')
                        <span>
                            <i class="las la-arrow-right"></i>
                            <i class="las la-arrow-right"></i>
                        </span>
                        <b></b></a>
                </div>
                
                <table class="table custom--table table-striped table-hover" id="table_res">
                    <thead class="bg_color text-white">
                    <tr>
                        <th>@lang('Subject')</th>
                        <th>@lang('Status')</th>
                        <th>@lang('Priority')</th>
                        <th>@lang('Last Reply')</th>
                        <th>@lang('Action')</th>
                    </tr>
                    </thead>
                    <tbody class="table-group-divider">
                        @forelse($supports as $support)
                            <tr>
                                <td> <a href="{{ route('ticket.view', $support->ticket) }}"> [@lang('Ticket')#{{ $support->ticket }}] {{ __($support->subject) }} </a></td>
                                <td>
                                    @php echo $support->statusBadge; @endphp
                                </td>
                                <td>
                                    @if($support->priority == 1)
                                        <span class="badge badge--dark">@lang('Low')</span>
                                    @elseif($support->priority == 2)
                                        <span class="badge badge--primary">@lang('Medium')</span>
                                    @elseif($support->priority == 3)
                                        <span class="badge badge--success">@lang('High')</span>
                                    @endif
                                </td>
                                <td>{{ \Carbon\Carbon::parse($support->last_reply)->diffForHumans() }} </td>

                                <td>
                                    <a href="{{ route('ticket.view', $support->ticket) }}" class="btn ticket_view_btn btn-sm">
                                        <i class="fa-solid fa-eye"></i>
                                    </a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="100%" class="text-center">{{ __($emptyMessage) }}</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
                @if($supports->hasPages())
                <div class="row ">
                    <div class="my-pagination">
                        {{ $supports->links() }}
                    </div>
                </div>
                @endif

           

            </div>
        </div>
    </div>
@endsection
