@extends($activeTemplate.'layouts.'.$layout)

@section('content')

<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">

                    <div class="py-2 d-flex flex-wrap justify-content-between align-items-center">
                        <h5 class="loging_text">
                            @php echo $myTicket->statusBadge; @endphp
                            <span class="ps-1 pt-2">[@lang('Ticket')#{{ $myTicket->ticket }}] {{ $myTicket->subject }}</span>
                             
                        </h5>
                        @if($myTicket->status != 3 && $myTicket->user)
                            <button class="ticket_view_btn btn  close-button confirmationBtn" type="button" data-question="@lang('Are you sure to close this ticket?')" data-action="{{ route('ticket.close', $myTicket->id) }}">@lang('Close')
                            </button>
                        @endif
                    </div>
                    <div class="modal_body_wrapper">
                        @if($myTicket->status != 4)
                            <form method="post" action="{{ route('ticket.reply', $myTicket->id) }}" enctype="multipart/form-data">
                                @csrf
                                <div class="row justify-content-between">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <textarea name="message" class="form-control form--control" rows="4">{{ old('message') }}</textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-end">

                                    <button type="button" class="btn ticket_view_btn btn-sm addFile mt-30">
                                        <i class="fa fa-plus"></i>
                                    </button>


                                </div>
                                <div class="form-group">
                                    <label class="form-label">@lang('Attachments')</label> <small class="text-warning">@lang('Maximum 5 files can be uploaded'). @lang('Maximum upload size is') {{ ini_get('upload_max_filesize') }}</small>
                                    <input type="file" name="attachments[]" class="form-control form--control"/>
                                    <div id="fileUploadsContainer"></div>
                                    <p class="my-2 ticket-attachments-message text-muted">
                                        @lang('Allowed File Extensions'): .@lang('jpg'), .@lang('jpeg'), .@lang('png'), .@lang('pdf'), .@lang('doc'), .@lang('docx')
                                    </p>
                                </div>

                                <div class="text-end">
                                    <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mt-10"> @lang('Reply')
                                        <span>
                                            <i class="las la-arrow-right"></i>
                                            <i class="las la-arrow-right"></i>
                                        </span>
                                        <b></b>
                                    </button>
                                </div>
                            
                            </form>
                        @endif
                    </div>


                <div class="row justify-content-center pt-30">
                    <div class="col-12">
               
                            @foreach($messages as $message)
                                @if($message->admin_id == 0)
                                    <div class="row" style="background-color: #67656009">
                                        <div class="d-flex col-12">
                                            <h5 class="my-3">{{ $message->ticket->name }}@lang(', ') </h5>
                                            <h5 class="text-muted  my-3 ms-1">@lang(' Posted on') {{ $message->created_at->format('l, dS F Y @ H:i') }}</h5>
                                        </div>
                                        <div class="col-12">
                                            
                                            <p>{{$message->message}}</p>
                                            @if($message->attachments->count() > 0)
                                                <div class="my-2">
                                                    @foreach($message->attachments as $k=> $image)
                                                        <a href="{{route('ticket.download',encrypt($image->id))}}" class="me-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="py-3"></div>
                                @else
                                    <div class="row" style="background-color: #ffd9670b">
                                        <div class="d-flex col-12">
                                            <h5 class="my-3  text-end">{{ $message->admin->name }}@lang(',')</h5>
                                            <h5 class="lead text-muted my-3 ms-1">@lang('Staff,')</h5>
                                            <h5 class="text-muted my-3 ms-1">@lang('Posted on') {{ $message->created_at->format('l, dS F Y @ H:i') }}</h5>
                                        </div>
                                        <div class="col-12">
                                            <p>{{$message->message}}</p>
                                            @if($message->attachments->count() > 0)
                                                <div class="my-2">
                                                    @foreach($message->attachments as $k=> $image)
                                                        <a href="{{route('ticket.download',encrypt($image->id))}}" class="me-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="py-3"></div>
                                @endif
                            @endforeach
                    
                    </div>
                </div>
            </div>
        </div>


    <x-confirmation-modal></x-confirmation-modal>



@endsection
@push('style')
    <style>
        .input-group-text:focus{
            box-shadow: none !important;
        }

    </style>
@endpush
@push('script')
    <script>
        (function ($) {
            "use strict";
            var fileAdded = 0;
            $('.addFile').on('click',function(){
                if (fileAdded >= 4) {
                    notify('error','You\'ve added maximum number of file');
                    return false;
                }
                fileAdded++;
                $("#fileUploadsContainer").append(`
                    <div class="input-group my-3">
                        <input type="file" name="attachments[]" class="form-control form--control" required />
                        <button class="btn input-group-text ticket_view_btn remove-btn"><i class="las la-times"></i></button>
                    </div>
                `)
            });
            $(document).on('click','.remove-btn',function(){
                fileAdded--;
                $(this).closest('.input-group').remove();
            });


        })(jQuery);

    </script>
@endpush
