@extends($activeTemplate.'layouts.master')
@section('content')

<div class="dashboar_wrap">

    <div class="col-md-12">
        <div class="dashboard_box pb-0">
            <form action="">
                <div class="transaction-wrap">
                    <div class="form-group profile">
                        <label for="transaction">@lang('Transaction Number')</label>
                        <div class="single-input transaction_number">
                            <input type="text" name="search" value="{{ request()->search }}" id="transaction">
                        </div>
                    </div>
                    <button type="submit" class="theme_btn_sm theme_btn_hover alt-color"> @lang('Filter')
                        <span>
                            <i class="las la-arrow-right"></i>
                            <i class="las la-arrow-right"></i>
                        </span>
                        <b></b>
                    </button>
                </div>
            </form>
        </div>
        <div class="dashboard_box">

            <table class="table custom--table table-striped table-hover" id="table_res">
                <thead>
                    <tr class="bg_color text-white">
                        <th>@lang('Trx')</th>
                        <th>@lang('Transacted')</th>
                        <th>@lang('Amount')</th>

                    </tr>
                </thead>
                <tbody>
                    @forelse($transactions as $trx)
                    <tr>
                        <td>
                            <strong>#{{ $trx->trx }}</strong>
                        </td>
                        <td>
                            <span>{{ $trx->created_at->format('d') }}
                                {{ $trx->created_at->format('M') }}
                                {{ $trx->created_at->format('Y') }}
                                {{ $trx->created_at->format('H:s A') }}
                            </span>
                        </td>

                        <td class="budget">
                            <span class="fw-bold">
                                {{showAmount($trx->amount)}} {{ $general->cur_text }}
                            </span>
                        </td>
                    </tr>
                    @empty
                    <tr>
                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                    </tr>
                    @endforelse
                </tbody>
            </table>

            @if($transactions->hasPages())
            <div class="row ">
                <div class="my-pagination">
                    {{ $transactions->links() }}
                </div>
            </div>
            @endif

        </div>
    </div>


    @endsection
