@extends($activeTemplate.'layouts.master')
@section('content')

<div class="dashboar_wrap">
    <div class="dashboard_box mb-30">

        <div class="row gy-4">       
            @if(!auth()->user()->ts)
                <div class="col-md-6">
                    {{-- <div class="login_wrapper"> --}}
                        <h3 class="loging_text text-center">@lang('Add Your Account')</h3>
                        
                        <div class="modal_body_wrapper">
                            <h6 class="mb-3 loging_text">
                                @lang('Use the QR code or setup key on your Google Authenticator app to add your account. ')
                            </h6>

                            <div class="form-group mx-auto text-center">
                                <img class="mx-auto" src="{{$qrCodeUrl}}">
                            </div>

                            <div class="form-group profile">
                                <label>@lang('Setup Key')</label>
                                <div class="input-group">
                                    <input type="text" name="key" value="{{$secret}}"
                                        class="form-control form--control referralURL" readonly>
                                    <button type="button" class="input-group-text copytext p-s-2" id="copyBoard"> <i
                                            class="fa fa-copy custom_copy_icon"></i> </button>
                                </div>
                            </div>

                        </div>
                    {{-- </div> --}}
                </div>
            @endif

            <div class="col-md-6">
                @if(!auth()->user()->ts)
                    <h5 class="loging_text mb-20 text-center">@lang('Enable 2FA Security')</h5>
                    <form action="{{ route('user.twofactor.enable') }}" method="POST">
                        <div class="modal_body_wrapper">
                            @csrf
                            <input type="hidden" name="key" value="{{$secret}}">
                            <div class="form-group profile">
                                <label class="loging_text">@lang('Google Authenticatior OTP')</label>
                                <input type="text" class="form-control form--control" name="code" required>
                            </div>
                                <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mt-30"> @lang('Submit')
                                <span>
                                    <i class="las la-arrow-right"></i>
                                    <i class="las la-arrow-right"></i>
                                </span>
                                <b></b>
                            </button>
                        </div>
                    </form>
                @endif
            </div>
        </div>

        @if(auth()->user()->ts)
            <div class="dashboard_box mb-30">
                <div class="justify-content-center">
                    <h5 class="loging_text text-center">@lang('Disable 2FA Security')</h5>
                    <form action="{{route('user.twofactor.disable')}}" method="POST">
                    
                            @csrf
                            <input type="hidden" name="key" value="{{$secret}}">
                            <div class="form-group profile">
                                <label class="form-label">@lang('Google Authenticatior OTP')</label>
                                <input type="text" class="form-control form--control" name="code" required>
                            </div>
                            <button type="submit" class="theme_btn_sm theme_btn_hover alt-color mt-30 addFile text-end"> @lang('Submit')
                                <span>
                                    <i class="las la-arrow-right"></i>
                                    <i class="las la-arrow-right"></i>
                                </span>
                                <b></b>
                            </button>
                    
                    </form>
                </div>
            </div>
        @endif


    </div>
</div>



@endsection

@push('style')
<style>
    .copied::after {
        background-color: #{{ $general->base_color }};
    }
</style>
@endpush

@push('script')
<script>
    (function ($) {
        "use strict";
        $('#copyBoard').on('click', function () {
            var copyText = document.getElementsByClassName("referralURL");
            copyText = copyText[0];
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            /*For mobile devices*/
            document.execCommand("copy");
            copyText.blur();
            this.classList.add('copied');
            setTimeout(() => this.classList.remove('copied'), 1500);
        });
    })(jQuery);
</script>
@endpush