@extends($activeTemplate.'layouts.frontend')

@section('content')

<section class="login_area login_bg pt-70 pb-80 md-pt-50 md-pb-50" >
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-10 col-lg-10 col-md-10">
                <div class="login_wrapper">

                    <h3 class="loging_text mb-20 text-center">@lang('User Data Information')</h3>

                    <div class="modal_body_wrapper">

                        <form action="{{ route('user.data.submit') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="first_name">@lang('First Name') </label>
                                        <div class="single-input">
                                            <input id="first_name" type="text" name="firstname" value="{{ old('firstname') }}" required>
                                            <i class="fa-regular fa-user"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="last_name">@lang('Last Name')</label>
                                        <div class="single-input">
                                            <input id="last_name" type="text" name="lastname" value="{{ old('lastname') }}" required>
                                            <i class="fa-regular fa-user"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="address">@lang('Address')</label>
                                        <div class="single-input">
                                            <input id="address" type="text" name="address" value="{{ old('address') }}">
                                            <i class="fa-solid fa-map-location-dot"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="state">@lang('State')</label>
                                        <div class="single-input">
                                            <input id="state" type="text" name="state" value="{{ old('state') }}">
                                            <i class="fa-solid fa-location-crosshairs"></i>
                                        </div>
                                    </div>
                                </div>
        
        
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="city">@lang('City')</label>
                                        <div class="single-input">
                                            <input  id="city" type="text" name="city" value="{{ old('city') }}">
                                            <i class="fa-solid fa-location-dot"></i>
                                        </div>
                                    </div>
                                </div>
                
                                <div class="col-md-6">
                                    <div class="form-group profile mb-25">
                                        <label for="zip">@lang('Zip Code')</label>
                                        <div class="single-input">
                                            <input id="zip" type="text" name="zip"
                                            value="{{ old('zip') }}">
                                            <i class="fa-solid fa-hashtag"></i>
                                        </div>
                                    </div>
                                </div>
        
                            </div>
                
                            <div class="buttorn_wrapper">
                                <button class="theme_btn_sm theme_btn_hover alt-color" type="submit">
                                    @lang('Submit')
                                    <span>
                                        <i class="las la-arrow-right"></i>
                                        <i class="las la-arrow-right"></i>
                                    </span>
                                    <b></b>
                                    </button>
                                
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection